<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use App\Models\User;
use App\Models\Fcm_user;
use App\Models\Sitesetting;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function checkToken($userid,$usertoken){
        $verifiedToken = User::query()
                               ->select('id')
                               ->where('id',$userid)
                               ->where('userToken',$usertoken)
                               ->get(); 
                               
        if(count($verifiedToken) > 0){
           return $verifiedToken[0]->id;
       }
   }

    public static function siteContact()
    {
        $siteData = Sitesetting::query()->where('id','=',1)->get(); 

        if(count($siteData) > 0)
        {
            return $siteData;
        }
    }
    public static function sendAndroidNotification($sender_id,$reciver_id,$type,$messageText) 
    {  
        $fcm_id = '0';
        $apns_query=Fcm_user::query()
                ->select('fcm_regid','user_id')
                ->where('user_id',$reciver_id)
                ->get(); 
        //echo count($apns_query);
        //echo "=".$apns_query[0]->fcm_regid;
        if(count($apns_query)>0)    
        {
          $fcm_id = $apns_query[0]->fcm_regid; 
        }
        $fcm_token = $fcm_id;     
        $title = $type; 
        $id = 1;
     
        $your_project_id_as_key = "AAAAgfs159Q:APA91bHqHn8i_OyHq76AaUHYUIxoYuRvHstImy1s7XwSyR7mz19_HL3ERa5sntC4F1YkmWs78qzWvNtNoxtlcAxHiyoJMkBU3MojhyDQQjRjHtmC_Pvbli1P8jCvZqCJAw2hqn44M5zF";
            
        $url = "https://fcm.googleapis.com/fcm/send";            
        $header = [
            'authorization: key=' . $your_project_id_as_key,
                'content-type: application/json'
        ];    

        $postdata = '{
            "to" : "'.$fcm_token.'",
                  
            "data" : {
                "id" : "'.$id.'",
                "title":"'.$title.'",
                "description" : "'.$messageText.'",
                "text" : "'.$messageText.'",
                "is_read": 0
            }
        }';

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 60);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
        
        $result = curl_exec($ch); 
        curl_close($ch);
        //echo $result;
        //print_r($result);
       // exit;
        //return $result;
    }

}
