<?php

namespace App\Http\Controllers\adminpanel;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Category;
use App\Models\Category_level;
use App\Models\Level;
use App\Models\Levelword;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\File;

class LevelwordController extends Controller
{
    private $pagination = 20;
    public function manage($id)
    {
        $levelword = Levelword::query()->where('id','=',$id)->get();
        $data = ['type' => 'edit', 'levelword' => $levelword];
        return view("adminpanel.managelevelword", compact("data"));
    }

    public function update(Request $request)
    {
        $input = $request->all();
        $id = $input['id'];

        $update["levelWord"] = $input['levelWord'];    

        $level = Levelword::where('id', '=', $id)->update($update);
        return redirect('/adminpanel/managelevelword/'.$id)->with('success', 'Updated Successfully.');
    }
}