<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Third Party Services
    |--------------------------------------------------------------------------
    |
    | This file is for storing the credentials for third party services such
    | as Mailgun, Postmark, AWS and more. This file provides the de facto
    | location for this type of information, allowing packages to have
    | a conventional file to locate the various service credentials.
    |
    */

    'mailgun' => [
        'domain' => env('MAILGUN_DOMAIN'),
        'secret' => env('MAILGUN_SECRET'),
        'endpoint' => env('MAILGUN_ENDPOINT', 'api.mailgun.net'),
    ],

    'postmark' => [
        'token' => env('POSTMARK_TOKEN'),
    ],

    'ses' => [
        'key' => env('AWS_ACCESS_KEY_ID'),
        'secret' => env('AWS_SECRET_ACCESS_KEY'),
        'region' => env('AWS_DEFAULT_REGION', 'us-east-1'),
    ],
    'firebase' => [
        'api_key' => 'AIzaSyCmqZkWzZWt2oCMJnBk8RCE39G2ZoTP36s', // Only used for JS integration
        'auth_domain' => 'laservall-manjunath.firebaseapp.com', // Only used for JS integration
        'database_url' => 'https://laservall-manjunath-default-rtdb.firebaseio.com',
        'storage_bucket' => 'laservall-manjunath.appspot.com', // Only used for JS integration
        'project_id' => 'laservall-manjunath', // Only used for JS integration
        'messaging_sender_id' => '558265395156', // Only used for JS integration
        'app_id' => '1:558265395156:web:10f751b494b4b1ecbe1841', // Only used for JS integration
        //'measurement_id' => 'G-B3FMP4DS8Y', // Only used for JS integration
    ],

];
