-- phpMyAdmin SQL Dump
-- version 5.2.2
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: May 27, 2025 at 11:37 AM
-- Server version: 10.11.13-MariaDB
-- PHP Version: 8.3.20

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `keshavvps_puzz`
--

-- --------------------------------------------------------

--
-- Table structure for table `admins`
--

CREATE TABLE `admins` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(50) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(200) NOT NULL,
  `email` varchar(100) NOT NULL,
  `remember_token` varchar(100) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `admins`
--

INSERT INTO `admins` (`id`, `name`, `username`, `password`, `email`, `remember_token`, `created_at`, `updated_at`) VALUES
(1, 'admin', 'admin', '$2y$10$EuIcmAZF2Zec6BgySfPmyOpSo6BEDperYIdmDBQ6sMd9.o2uYMwwK', 'admin@admin.com', 'ewgMJ1NSO20uhRccJFYWxg1OoBn2WMQTFu5FFstW05YfGbHkiHifXP6x33VJ', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `categoryImage` varchar(255) DEFAULT NULL,
  `categoryName` varchar(255) NOT NULL,
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0 = Deactive 1 = Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`id`, `categoryImage`, `categoryName`, `isActive`, `created_at`, `updated_at`) VALUES
(9, NULL, 'space merge', 1, '2025-03-06 06:01:00', '2025-03-06 06:01:00');

-- --------------------------------------------------------

--
-- Table structure for table `category_levels`
--

CREATE TABLE `category_levels` (
  `id` int(11) NOT NULL,
  `categoryName` varchar(255) DEFAULT '',
  `categoryImage` varchar(255) DEFAULT '',
  `display_name` varchar(255) DEFAULT '',
  `lock_type` varchar(255) DEFAULT NULL,
  `category_color` varchar(255) DEFAULT NULL,
  `unlock_amount` varchar(255) DEFAULT NULL,
  `save_id` varchar(255) DEFAULT NULL,
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0 = Deactive 1 = Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `category_levels`
--

INSERT INTO `category_levels` (`id`, `categoryName`, `categoryImage`, `display_name`, `lock_type`, `category_color`, `unlock_amount`, `save_id`, `isActive`, `created_at`, `updated_at`) VALUES
(10, 'SPACE MERGE', '1742965736categoryImage.png', 'SPACE MERGE', '0', '#00ff9d', NULL, '7321742965736', 1, '2025-03-25 23:38:56', '2025-05-14 08:33:39'),
(11, 'GENERAL', '1743523845categoryImage.jpg', 'GENERAL', '0', '#4217de', NULL, '32901743522695', 1, '2025-04-01 10:21:35', '2025-05-14 08:33:57'),
(12, 'NO HARM-NO VOWEL', '', 'NO HARM-NO VOWEL', '0', '#000000', NULL, '4521744129974', 1, '2025-04-08 11:02:54', '2025-05-14 08:34:22'),
(14, 'HIDDEN', '1747231557categoryImage.JPEG', 'HIDDEN', '0', '#000000', NULL, '9801747115985', 1, '2025-05-13 00:29:45', '2025-05-16 08:22:57'),
(15, 'And', '', 'And', '0', '#00eeff', NULL, '52471747581315', 1, '2025-05-18 09:45:15', '2025-05-18 09:45:15');

-- --------------------------------------------------------

--
-- Table structure for table `levels`
--

CREATE TABLE `levels` (
  `id` int(11) NOT NULL,
  `puzzle_category` varchar(255) DEFAULT NULL,
  `levelCategoryId` varchar(255) NOT NULL DEFAULT '0',
  `levelSubCategoryId` varchar(255) NOT NULL DEFAULT '0',
  `level_name` varchar(255) DEFAULT NULL,
  `grid` longtext DEFAULT NULL,
  `data` longtext DEFAULT NULL,
  `words` text NOT NULL,
  `clues` text DEFAULT NULL,
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0 = Deactive 1 = Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `levels`
--

INSERT INTO `levels` (`id`, `puzzle_category`, `levelCategoryId`, `levelSubCategoryId`, `level_name`, `grid`, `data`, `words`, `clues`, `isActive`, `created_at`, `updated_at`) VALUES
(42, '10', '0', '0', 'space', '[[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\"],[\"H\",\"I\",\"J\",\"K\",\"L\",\"M\",\"B\"],[\"O\",\"P\",\"Q\",\"R\",\"S\",\"A\",\"A\"],[\"V\",\"W\",\"X\",\"Y\",\"P\",\"A\",\"N\"],[\"C\",\"D\",\"E\",\"P\",\"G\",\"H\",\"A\"],[\"J\",\"K\",\"L\",\"M\",\"N\",\"O\",\"N\"],[\"Q\",\"E\",\"S\",\"T\",\"U\",\"V\",\"A\"]]', '{\r\n  \"rows\": 7,\r\n  \"cols\": 7,\r\n  \"words\": [\r\n    \"APPLE\",\r\n    \"BANANA\"\r\n  ],\r\n  \"clues\": [\r\n    \"APP LE\",\r\n    \"BANANA\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"F\",\r\n      \"G\"\r\n    ],\r\n    [\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\",\r\n      \"B\"\r\n    ],\r\n    [\r\n      \"O\",\r\n      \"P\",\r\n      \"Q\",\r\n      \"R\",\r\n      \"S\",\r\n      \"A\",\r\n      \"A\"\r\n    ],\r\n    [\r\n      \"V\",\r\n      \"W\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"P\",\r\n      \"A\",\r\n      \"N\"\r\n    ],\r\n    [\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"P\",\r\n      \"G\",\r\n      \"H\",\r\n      \"A\"\r\n    ],\r\n    [\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\",\r\n      \"N\",\r\n      \"O\",\r\n      \"N\"\r\n    ],\r\n    [\r\n      \"Q\",\r\n      \"E\",\r\n      \"S\",\r\n      \"T\",\r\n      \"U\",\r\n      \"V\",\r\n      \"A\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"APPLE\",\r\n      \"row\": 2,\r\n      \"col\": 5,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BANANA\",\r\n      \"row\": 1,\r\n      \"col\": 6,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    }\r\n  ]\r\n}', '[\"APPLE\",\"BANANA\"]', '[\"APP LE\",\"BANANA\"]', 1, '2025-03-26 04:06:41', '2025-05-23 06:34:16'),
(48, '12', '0', '0', 'no harm', '[[\"X\",\"H\",\"D\",\"M\",\"I\",\"I\",\"O\",\"B\",\"E\",\"D\",\"E\",\"C\",\"I\"],[\"M\",\"H\",\"B\",\"G\",\"R\",\"I\",\"N\",\"X\",\"Z\",\"O\",\"C\",\"U\",\"O\"],[\"J\",\"M\",\"W\",\"L\",\"S\",\"V\",\"Z\",\"J\",\"E\",\"L\",\"P\",\"X\",\"X\"],[\"J\",\"D\",\"J\",\"N\",\"V\",\"K\",\"Y\",\"A\",\"T\",\"N\",\"S\",\"Q\",\"D\"],[\"C\",\"Z\",\"K\",\"R\",\"W\",\"A\",\"F\",\"O\",\"B\",\"O\",\"D\",\"T\",\"J\"],[\"A\",\"Q\",\"P\",\"J\",\"W\",\"C\",\"L\",\"O\",\"Q\",\"V\",\"P\",\"S\",\"M\"],[\"D\",\"C\",\"A\",\"P\",\"W\",\"A\",\"Z\",\"G\",\"J\",\"O\",\"L\",\"K\",\"H\"],[\"D\",\"G\",\"J\",\"K\",\"O\",\"D\",\"O\",\"Q\",\"F\",\"W\",\"U\",\"Q\",\"C\"],[\"N\",\"V\",\"D\",\"I\",\"T\",\"U\",\"U\",\"M\",\"B\",\"E\",\"T\",\"E\",\"S\"],[\"R\",\"L\",\"H\",\"U\",\"W\",\"B\",\"R\",\"V\",\"Q\",\"L\",\"G\",\"H\",\"I\"],[\"B\",\"O\",\"G\",\"N\",\"S\",\"F\",\"F\",\"V\",\"A\",\"P\",\"Q\",\"U\",\"G\"],[\"T\",\"M\",\"R\",\"W\",\"G\",\"B\",\"V\",\"I\",\"F\",\"I\",\"I\",\"A\",\"R\"],[\"N\",\"O\",\"H\",\"A\",\"R\",\"M\",\"U\",\"C\",\"V\",\"F\",\"E\",\"G\",\"U\"]]', '{\r\n  \"rows\": 13,\r\n  \"cols\": 13,\r\n  \"words\": [\r\n    \"NOHARM\",\r\n    \"NOVOWEL\"\r\n  ],\r\n  \"clues\": [\r\n    \"NOHARM\",\r\n    \"NOVOWEL\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"X\",\r\n      \"H\",\r\n      \"D\",\r\n      \"M\",\r\n      \"I\",\r\n      \"I\",\r\n      \"O\",\r\n      \"B\",\r\n      \"E\",\r\n      \"D\",\r\n      \"E\",\r\n      \"C\",\r\n      \"I\"\r\n    ],\r\n    [\r\n      \"M\",\r\n      \"H\",\r\n      \"B\",\r\n      \"G\",\r\n      \"R\",\r\n      \"I\",\r\n      \"N\",\r\n      \"X\",\r\n      \"Z\",\r\n      \"O\",\r\n      \"C\",\r\n      \"U\",\r\n      \"O\"\r\n    ],\r\n    [\r\n      \"J\",\r\n      \"M\",\r\n      \"W\",\r\n      \"L\",\r\n      \"S\",\r\n      \"V\",\r\n      \"Z\",\r\n      \"J\",\r\n      \"E\",\r\n      \"L\",\r\n      \"P\",\r\n      \"X\",\r\n      \"X\"\r\n    ],\r\n    [\r\n      \"J\",\r\n      \"D\",\r\n      \"J\",\r\n      \"N\",\r\n      \"V\",\r\n      \"K\",\r\n      \"Y\",\r\n      \"A\",\r\n      \"T\",\r\n      \"N\",\r\n      \"S\",\r\n      \"Q\",\r\n      \"D\"\r\n    ],\r\n    [\r\n      \"C\",\r\n      \"Z\",\r\n      \"K\",\r\n      \"R\",\r\n      \"W\",\r\n      \"A\",\r\n      \"F\",\r\n      \"O\",\r\n      \"B\",\r\n      \"O\",\r\n      \"D\",\r\n      \"T\",\r\n      \"J\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"Q\",\r\n      \"P\",\r\n      \"J\",\r\n      \"W\",\r\n      \"C\",\r\n      \"L\",\r\n      \"O\",\r\n      \"Q\",\r\n      \"V\",\r\n      \"P\",\r\n      \"S\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"D\",\r\n      \"C\",\r\n      \"A\",\r\n      \"P\",\r\n      \"W\",\r\n      \"A\",\r\n      \"Z\",\r\n      \"G\",\r\n      \"J\",\r\n      \"O\",\r\n      \"L\",\r\n      \"K\",\r\n      \"H\"\r\n    ],\r\n    [\r\n      \"D\",\r\n      \"G\",\r\n      \"J\",\r\n      \"K\",\r\n      \"O\",\r\n      \"D\",\r\n      \"O\",\r\n      \"Q\",\r\n      \"F\",\r\n      \"W\",\r\n      \"U\",\r\n      \"Q\",\r\n      \"C\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"V\",\r\n      \"D\",\r\n      \"I\",\r\n      \"T\",\r\n      \"U\",\r\n      \"U\",\r\n      \"M\",\r\n      \"B\",\r\n      \"E\",\r\n      \"T\",\r\n      \"E\",\r\n      \"S\"\r\n    ],\r\n    [\r\n      \"R\",\r\n      \"L\",\r\n      \"H\",\r\n      \"U\",\r\n      \"W\",\r\n      \"B\",\r\n      \"R\",\r\n      \"V\",\r\n      \"Q\",\r\n      \"L\",\r\n      \"G\",\r\n      \"H\",\r\n      \"I\"\r\n    ],\r\n    [\r\n      \"B\",\r\n      \"O\",\r\n      \"G\",\r\n      \"N\",\r\n      \"S\",\r\n      \"F\",\r\n      \"F\",\r\n      \"V\",\r\n      \"A\",\r\n      \"P\",\r\n      \"Q\",\r\n      \"U\",\r\n      \"G\"\r\n    ],\r\n    [\r\n      \"T\",\r\n      \"M\",\r\n      \"R\",\r\n      \"W\",\r\n      \"G\",\r\n      \"B\",\r\n      \"V\",\r\n      \"I\",\r\n      \"F\",\r\n      \"I\",\r\n      \"I\",\r\n      \"A\",\r\n      \"R\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"H\",\r\n      \"A\",\r\n      \"R\",\r\n      \"M\",\r\n      \"U\",\r\n      \"C\",\r\n      \"V\",\r\n      \"F\",\r\n      \"E\",\r\n      \"G\",\r\n      \"U\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"NOHARM\",\r\n      \"row\": 12,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"NOVOWEL\",\r\n      \"row\": 3,\r\n      \"col\": 9,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    }\r\n  ]\r\n}', '[\"NOHARM\",\"NOVOWEL\"]', '[\"NOHARM\",\"NOVOWEL\"]', 1, '2025-04-11 23:29:12', '2025-05-14 06:18:03'),
(52, '11', '0', '0', 'Birthday Cake', '[[\"S\",\"F\",\"L\",\"O\",\"U\",\"R\",\"G\",\"H\",\"I\",\"J\",\"K\",\"V\",\"M\"],[\"U\",\"C\",\"D\",\"S\",\"R\",\"P\",\"T\",\"U\",\"V\",\"W\",\"L\",\"A\",\"Z\"],[\"G\",\"B\",\"H\",\"E\",\"P\",\"F\",\"U\",\"H\",\"I\",\"J\",\"A\",\"N\",\"C\"],[\"A\",\"O\",\"E\",\"O\",\"S\",\"R\",\"C\",\"D\",\"V\",\"W\",\"Y\",\"I\",\"O\"],[\"R\",\"I\",\"C\",\"G\",\"C\",\"I\",\"I\",\"A\",\"D\",\"J\",\"E\",\"L\",\"C\"],[\"F\",\"O\",\"C\",\"Q\",\"G\",\"O\",\"G\",\"N\",\"R\",\"I\",\"R\",\"L\",\"O\"],[\"A\",\"R\",\"C\",\"E\",\"B\",\"S\",\"L\",\"N\",\"K\",\"A\",\"N\",\"A\",\"N\"],[\"N\",\"S\",\"O\",\"Q\",\"C\",\"U\",\"I\",\"A\",\"P\",\"L\",\"M\",\"G\",\"U\"],[\"A\",\"B\",\"L\",\"S\",\"B\",\"R\",\"T\",\"C\",\"T\",\"L\",\"E\",\"E\",\"T\"],[\"N\",\"O\",\"Y\",\"I\",\"T\",\"A\",\"E\",\"T\",\"I\",\"E\",\"A\",\"S\",\"L\"],[\"A\",\"B\",\"C\",\"U\",\"C\",\"I\",\"K\",\"A\",\"E\",\"N\",\"K\",\"T\",\"M\"],[\"P\",\"A\",\"N\",\"Q\",\"M\",\"E\",\"N\",\"E\",\"M\",\"R\",\"G\",\"Y\",\"E\"],[\"C\",\"A\",\"N\",\"D\",\"L\",\"E\",\"S\",\"G\",\"I\",\"J\",\"K\",\"L\",\"M\"]]', '{\r\n  \"rows\": 13,\r\n  \"cols\": 13,\r\n  \"words\": [\r\n    \"BAKE\",\r\n    \"BUTTER\",\r\n    \"CANDLES\",\r\n    \"CARAMEL\",\r\n    \"CHOCOLATE\",\r\n    \"COCONUT\",\r\n    \"DESIGN\",\r\n    \"EGGS\",\r\n    \"FLOUR\",\r\n    \"FROSTING\",\r\n    \"ICECREAM\",\r\n    \"ICING\",\r\n    \"LAYER\",\r\n    \"PAN\",\r\n    \"PLATE\",\r\n    \"PUDDING\",\r\n    \"SLICE\",\r\n    \"SPRINKLES\",\r\n    \"SUGAR\",\r\n    \"VANILLA\",\r\n    \"YUM\"\r\n  ],\r\n  \"clues\": [\r\n    \"BAKE\",\r\n    \"BUTTER\",\r\n    \"CANDLES\",\r\n    \"CARAMEL\",\r\n    \"CHOCOLATE\",\r\n    \"COCONUT\",\r\n    \"DESIGN\",\r\n    \"EGGS\",\r\n    \"FLOUR\",\r\n    \"FROSTING\",\r\n    \"ICECREAM\",\r\n    \"ICING\",\r\n    \"LAYER\",\r\n    \"PAN\",\r\n    \"PLATE\",\r\n    \"PUDDING\",\r\n    \"SLICE\",\r\n    \"SPRINKLES\",\r\n    \"SUGAR\",\r\n    \"VANILLA\",\r\n    \"YUM\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"S\",\r\n      \"F\",\r\n      \"L\",\r\n      \"O\",\r\n      \"U\",\r\n      \"R\",\r\n      \"G\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"V\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"U\",\r\n      \"C\",\r\n      \"D\",\r\n      \"S\",\r\n      \"R\",\r\n      \"P\",\r\n      \"T\",\r\n      \"U\",\r\n      \"V\",\r\n      \"W\",\r\n      \"L\",\r\n      \"A\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"G\",\r\n      \"B\",\r\n      \"H\",\r\n      \"E\",\r\n      \"P\",\r\n      \"F\",\r\n      \"U\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"A\",\r\n      \"N\",\r\n      \"C\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"O\",\r\n      \"E\",\r\n      \"O\",\r\n      \"S\",\r\n      \"R\",\r\n      \"C\",\r\n      \"D\",\r\n      \"V\",\r\n      \"W\",\r\n      \"Y\",\r\n      \"I\",\r\n      \"O\"\r\n    ],\r\n    [\r\n      \"R\",\r\n      \"I\",\r\n      \"C\",\r\n      \"G\",\r\n      \"C\",\r\n      \"I\",\r\n      \"I\",\r\n      \"A\",\r\n      \"D\",\r\n      \"J\",\r\n      \"E\",\r\n      \"L\",\r\n      \"C\"\r\n    ],\r\n    [\r\n      \"F\",\r\n      \"O\",\r\n      \"C\",\r\n      \"Q\",\r\n      \"G\",\r\n      \"O\",\r\n      \"G\",\r\n      \"N\",\r\n      \"R\",\r\n      \"I\",\r\n      \"R\",\r\n      \"L\",\r\n      \"O\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"R\",\r\n      \"C\",\r\n      \"E\",\r\n      \"B\",\r\n      \"S\",\r\n      \"L\",\r\n      \"N\",\r\n      \"K\",\r\n      \"A\",\r\n      \"N\",\r\n      \"A\",\r\n      \"N\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"S\",\r\n      \"O\",\r\n      \"Q\",\r\n      \"C\",\r\n      \"U\",\r\n      \"I\",\r\n      \"A\",\r\n      \"P\",\r\n      \"L\",\r\n      \"M\",\r\n      \"G\",\r\n      \"U\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"L\",\r\n      \"S\",\r\n      \"B\",\r\n      \"R\",\r\n      \"T\",\r\n      \"C\",\r\n      \"T\",\r\n      \"L\",\r\n      \"E\",\r\n      \"E\",\r\n      \"T\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"Y\",\r\n      \"I\",\r\n      \"T\",\r\n      \"A\",\r\n      \"E\",\r\n      \"T\",\r\n      \"I\",\r\n      \"E\",\r\n      \"A\",\r\n      \"S\",\r\n      \"L\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"U\",\r\n      \"C\",\r\n      \"I\",\r\n      \"K\",\r\n      \"A\",\r\n      \"E\",\r\n      \"N\",\r\n      \"K\",\r\n      \"T\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"A\",\r\n      \"N\",\r\n      \"Q\",\r\n      \"M\",\r\n      \"E\",\r\n      \"N\",\r\n      \"E\",\r\n      \"M\",\r\n      \"R\",\r\n      \"G\",\r\n      \"Y\",\r\n      \"E\"\r\n    ],\r\n    [\r\n      \"C\",\r\n      \"A\",\r\n      \"N\",\r\n      \"D\",\r\n      \"L\",\r\n      \"E\",\r\n      \"S\",\r\n      \"G\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"BAKE\",\r\n      \"row\": 8,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BUTTER\",\r\n      \"row\": 6,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CANDLES\",\r\n      \"row\": 12,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"CARAMEL\",\r\n      \"row\": 3,\r\n      \"col\": 6,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CHOCOLATE\",\r\n      \"row\": 1,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"COCONUT\",\r\n      \"row\": 2,\r\n      \"col\": 12,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"DESIGN\",\r\n      \"row\": 1,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"EGGS\",\r\n      \"row\": 3,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"FLOUR\",\r\n      \"row\": 0,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"FROSTING\",\r\n      \"row\": 5,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"ICECREAM\",\r\n      \"row\": 4,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"ICING\",\r\n      \"row\": 7,\r\n      \"col\": 6,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"LAYER\",\r\n      \"row\": 1,\r\n      \"col\": 10,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"PAN\",\r\n      \"row\": 11,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"PLATE\",\r\n      \"row\": 7,\r\n      \"col\": 8,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"PUDDING\",\r\n      \"row\": 1,\r\n      \"col\": 5,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SLICE\",\r\n      \"row\": 7,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SPRINKLES\",\r\n      \"row\": 1,\r\n      \"col\": 3,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SUGAR\",\r\n      \"row\": 0,\r\n      \"col\": 0,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"VANILLA\",\r\n      \"row\": 0,\r\n      \"col\": 11,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"YUM\",\r\n      \"row\": 9,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    }\r\n  ]\r\n}', '[\"BAKE\",\"BUTTER\",\"CANDLES\",\"CARAMEL\",\"CHOCOLATE\",\"COCONUT\",\"DESIGN\",\"EGGS\",\"FLOUR\",\"FROSTING\",\"ICECREAM\",\"ICING\",\"LAYER\",\"PAN\",\"PLATE\",\"PUDDING\",\"SLICE\",\"SPRINKLES\",\"SUGAR\",\"VANILLA\",\"YUM\"]', '[\"BAKE\",\"BUTTER\",\"CANDLES\",\"CARAMEL\",\"CHOCOLATE\",\"COCONUT\",\"DESIGN\",\"EGGS\",\"FLOUR\",\"FROSTING\",\"ICECREAM\",\"ICING\",\"LAYER\",\"PAN\",\"PLATE\",\"PUDDING\",\"SLICE\",\"SPRINKLES\",\"SUGAR\",\"VANILLA\",\"YUM\"]', 1, '2025-05-12 14:45:41', '2025-05-16 00:08:37'),
(53, '11', '0', '0', 'Beautiful Valleys', '[[\"S\",\"B\",\"K\",\"D\",\"E\",\"N\",\"A\",\"P\",\"A\",\"D\",\"K\",\"L\",\"M\"],[\"N\",\"I\",\"P\",\"A\",\"D\",\"S\",\"T\",\"U\",\"A\",\"W\",\"X\",\"Y\",\"P\"],[\"A\",\"O\",\"L\",\"D\",\"G\",\"O\",\"G\",\"N\",\"I\",\"J\",\"K\",\"L\",\"O\"],[\"I\",\"O\",\"L\",\"I\",\"K\",\"H\",\"U\",\"M\",\"B\",\"U\",\"X\",\"Y\",\"R\"],[\"M\",\"H\",\"C\",\"Y\",\"C\",\"M\",\"A\",\"R\",\"I\",\"J\",\"L\",\"O\",\"S\"],[\"P\",\"Y\",\"A\",\"Q\",\"M\",\"O\",\"T\",\"N\",\"O\",\"O\",\"X\",\"S\",\"M\"],[\"E\",\"A\",\"C\",\"L\",\"E\",\"P\",\"N\",\"H\",\"G\",\"J\",\"H\",\"E\",\"O\"],[\"R\",\"N\",\"P\",\"Q\",\"A\",\"S\",\"I\",\"A\",\"V\",\"U\",\"X\",\"M\",\"R\"],[\"I\",\"G\",\"C\",\"D\",\"E\",\"W\",\"R\",\"C\",\"N\",\"J\",\"K\",\"I\",\"K\"],[\"A\",\"D\",\"P\",\"H\",\"R\",\"S\",\"A\",\"Z\",\"D\",\"E\",\"A\",\"T\",\"H\"],[\"L\",\"I\",\"A\",\"D\",\"E\",\"F\",\"A\",\"H\",\"I\",\"J\",\"K\",\"E\",\"M\"],[\"N\",\"N\",\"C\",\"E\",\"R\",\"C\",\"E\",\"V\",\"E\",\"R\",\"D\",\"E\",\"Z\"],[\"A\",\"B\",\"C\",\"D\",\"E\",\"I\",\"A\",\"O\",\"I\",\"J\",\"K\",\"L\",\"M\"]]', '{\r\n  \"rows\": 13,\r\n  \"cols\": 13,\r\n  \"words\": [\r\n    \"CERCE\",\r\n    \"DANUM\",\r\n    \"DEATH\",\r\n    \"DOURO\",\r\n    \"HALAWA\",\r\n    \"HANA\",\r\n    \"HUNZA\",\r\n    \"IAO\",\r\n    \"IMPERIAL\",\r\n    \"KAGHAN\",\r\n    \"KHUMBU\",\r\n    \"LOGAR\",\r\n    \"NAPA\",\r\n    \"OLYMPIC\",\r\n    \"PORSMORK\",\r\n    \"SILICON\",\r\n    \"VERDE\",\r\n    \"YANGDI\",\r\n    \"YOSEMITE\"\r\n  ],\r\n  \"clues\": [\r\n    \"CERCE\",\r\n    \"DANUM\",\r\n    \"DEATH\",\r\n    \"DOURO\",\r\n    \"HALAWA\",\r\n    \"HANA\",\r\n    \"HUNZA\",\r\n    \"IAO\",\r\n    \"IMPERIAL\",\r\n    \"KAGHAN\",\r\n    \"KHUMBU\",\r\n    \"LOGAR\",\r\n    \"NAPA\",\r\n    \"OLYMPIC\",\r\n    \"PORSMORK\",\r\n    \"SILICON\",\r\n    \"VERDE\",\r\n    \"YANGDI\",\r\n    \"YOSEMITE\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"S\",\r\n      \"B\",\r\n      \"K\",\r\n      \"D\",\r\n      \"E\",\r\n      \"N\",\r\n      \"A\",\r\n      \"P\",\r\n      \"A\",\r\n      \"D\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"I\",\r\n      \"P\",\r\n      \"A\",\r\n      \"D\",\r\n      \"S\",\r\n      \"T\",\r\n      \"U\",\r\n      \"A\",\r\n      \"W\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"P\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"O\",\r\n      \"L\",\r\n      \"D\",\r\n      \"G\",\r\n      \"O\",\r\n      \"G\",\r\n      \"N\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"O\"\r\n    ],\r\n    [\r\n      \"I\",\r\n      \"O\",\r\n      \"L\",\r\n      \"I\",\r\n      \"K\",\r\n      \"H\",\r\n      \"U\",\r\n      \"M\",\r\n      \"B\",\r\n      \"U\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"R\"\r\n    ],\r\n    [\r\n      \"M\",\r\n      \"H\",\r\n      \"C\",\r\n      \"Y\",\r\n      \"C\",\r\n      \"M\",\r\n      \"A\",\r\n      \"R\",\r\n      \"I\",\r\n      \"J\",\r\n      \"L\",\r\n      \"O\",\r\n      \"S\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"Y\",\r\n      \"A\",\r\n      \"Q\",\r\n      \"M\",\r\n      \"O\",\r\n      \"T\",\r\n      \"N\",\r\n      \"O\",\r\n      \"O\",\r\n      \"X\",\r\n      \"S\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"E\",\r\n      \"A\",\r\n      \"C\",\r\n      \"L\",\r\n      \"E\",\r\n      \"P\",\r\n      \"N\",\r\n      \"H\",\r\n      \"G\",\r\n      \"J\",\r\n      \"H\",\r\n      \"E\",\r\n      \"O\"\r\n    ],\r\n    [\r\n      \"R\",\r\n      \"N\",\r\n      \"P\",\r\n      \"Q\",\r\n      \"A\",\r\n      \"S\",\r\n      \"I\",\r\n      \"A\",\r\n      \"V\",\r\n      \"U\",\r\n      \"X\",\r\n      \"M\",\r\n      \"R\"\r\n    ],\r\n    [\r\n      \"I\",\r\n      \"G\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"W\",\r\n      \"R\",\r\n      \"C\",\r\n      \"N\",\r\n      \"J\",\r\n      \"K\",\r\n      \"I\",\r\n      \"K\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"D\",\r\n      \"P\",\r\n      \"H\",\r\n      \"R\",\r\n      \"S\",\r\n      \"A\",\r\n      \"Z\",\r\n      \"D\",\r\n      \"E\",\r\n      \"A\",\r\n      \"T\",\r\n      \"H\"\r\n    ],\r\n    [\r\n      \"L\",\r\n      \"I\",\r\n      \"A\",\r\n      \"D\",\r\n      \"E\",\r\n      \"F\",\r\n      \"A\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"E\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"N\",\r\n      \"C\",\r\n      \"E\",\r\n      \"R\",\r\n      \"C\",\r\n      \"E\",\r\n      \"V\",\r\n      \"E\",\r\n      \"R\",\r\n      \"D\",\r\n      \"E\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"I\",\r\n      \"A\",\r\n      \"O\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"CERCE\",\r\n      \"row\": 11,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"DANUM\",\r\n      \"row\": 0,\r\n      \"col\": 9,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"DEATH\",\r\n      \"row\": 9,\r\n      \"col\": 8,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"DOURO\",\r\n      \"row\": 1,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"HALAWA\",\r\n      \"row\": 4,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"HANA\",\r\n      \"row\": 9,\r\n      \"col\": 3,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"HUNZA\",\r\n      \"row\": 6,\r\n      \"col\": 10,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"IAO\",\r\n      \"row\": 12,\r\n      \"col\": 5,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"IMPERIAL\",\r\n      \"row\": 3,\r\n      \"col\": 0,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"KAGHAN\",\r\n      \"row\": 0,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"KHUMBU\",\r\n      \"row\": 3,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"LOGAR\",\r\n      \"row\": 4,\r\n      \"col\": 10,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"NAPA\",\r\n      \"row\": 0,\r\n      \"col\": 5,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"OLYMPIC\",\r\n      \"row\": 2,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"PORSMORK\",\r\n      \"row\": 1,\r\n      \"col\": 12,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SILICON\",\r\n      \"row\": 0,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"VERDE\",\r\n      \"row\": 11,\r\n      \"col\": 7,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"YANGDI\",\r\n      \"row\": 5,\r\n      \"col\": 1,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"YOSEMITE\",\r\n      \"row\": 3,\r\n      \"col\": 11,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    }\r\n  ]\r\n}', '[\"CERCE\",\"DANUM\",\"DEATH\",\"DOURO\",\"HALAWA\",\"HANA\",\"HUNZA\",\"IAO\",\"IMPERIAL\",\"KAGHAN\",\"KHUMBU\",\"LOGAR\",\"NAPA\",\"OLYMPIC\",\"PORSMORK\",\"SILICON\",\"VERDE\",\"YANGDI\",\"YOSEMITE\"]', '[\"CERCE\",\"DANUM\",\"DEATH\",\"DOURO\",\"HALAWA\",\"HANA\",\"HUNZA\",\"IAO\",\"IMPERIAL\",\"KAGHAN\",\"KHUMBU\",\"LOGAR\",\"NAPA\",\"OLYMPIC\",\"PORSMORK\",\"SILICON\",\"VERDE\",\"YANGDI\",\"YOSEMITE\"]', 1, '2025-05-12 15:04:50', '2025-05-16 08:21:57'),
(58, '11', '0', '0', 'General Puzzles', '[[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"H\",\"I\",\"B\",\"B\",\"L\",\"M\"],[\"N\",\"V\",\"O\",\"L\",\"L\",\"E\",\"Y\",\"B\",\"A\",\"L\",\"L\",\"B\",\"B\"],[\"A\",\"B\",\"C\",\"D\",\"E\",\"F\",\"G\",\"C\",\"O\",\"F\",\"L\",\"A\",\"M\"],[\"N\",\"O\",\"P\",\"Q\",\"R\",\"S\",\"K\",\"O\",\"R\",\"A\",\"S\",\"M\",\"E\"],[\"A\",\"B\",\"C\",\"D\",\"E\",\"G\",\"D\",\"I\",\"C\",\"K\",\"K\",\"O\",\"A\"],[\"N\",\"O\",\"P\",\"Q\",\"R\",\"H\",\"E\",\"K\",\"E\",\"W\",\"X\",\"T\",\"R\"],[\"A\",\"B\",\"C\",\"O\",\"O\",\"N\",\"S\",\"T\",\"I\",\"J\",\"K\",\"O\",\"T\"],[\"N\",\"O\",\"U\",\"U\",\"D\",\"M\",\"B\",\"U\",\"V\",\"W\",\"X\",\"R\",\"H\"],[\"A\",\"N\",\"N\",\"S\",\"I\",\"A\",\"G\",\"H\",\"I\",\"J\",\"K\",\"C\",\"Q\"],[\"D\",\"D\",\"H\",\"T\",\"L\",\"S\",\"T\",\"U\",\"V\",\"W\",\"X\",\"Y\",\"U\"],[\"A\",\"I\",\"H\",\"L\",\"E\",\"F\",\"G\",\"H\",\"I\",\"J\",\"K\",\"C\",\"A\"],[\"P\",\"C\",\"O\",\"M\",\"P\",\"L\",\"E\",\"X\",\"I\",\"T\",\"Y\",\"L\",\"K\"],[\"A\",\"C\",\"H\",\"A\",\"R\",\"A\",\"C\",\"T\",\"E\",\"R\",\"S\",\"E\",\"E\"]]', '{\r\n  \"rows\": 13,\r\n  \"cols\": 13,\r\n  \"words\": [\r\n    \"BACKGROUND\",\r\n    \"BASKETBALL\",\r\n    \"BLACKSMITH\",\r\n    \"BLOODHOUND\",\r\n    \"CHARACTERS\",\r\n    \"COMPLEXITY\",\r\n    \"EARTHQUAKE\",\r\n    \"FRIENDSHIP\",\r\n    \"MOTORCYCLE\",\r\n    \"VOLLEYBALL\"\r\n  ],\r\n  \"clues\": [\r\n    \"BACKGROUND\",\r\n    \"BASKETBALL\",\r\n    \"BLACKSMITH\",\r\n    \"BLOODHOUND\",\r\n    \"CHARACTERS\",\r\n    \"COMPLEXITY\",\r\n    \"EARTHQUAKE\",\r\n    \"FRIENDSHIP\",\r\n    \"MOTORCYCLE\",\r\n    \"VOLLEYBALL\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"F\",\r\n      \"G\",\r\n      \"H\",\r\n      \"I\",\r\n      \"B\",\r\n      \"B\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"V\",\r\n      \"O\",\r\n      \"L\",\r\n      \"L\",\r\n      \"E\",\r\n      \"Y\",\r\n      \"B\",\r\n      \"A\",\r\n      \"L\",\r\n      \"L\",\r\n      \"B\",\r\n      \"B\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"F\",\r\n      \"G\",\r\n      \"C\",\r\n      \"O\",\r\n      \"F\",\r\n      \"L\",\r\n      \"A\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"P\",\r\n      \"Q\",\r\n      \"R\",\r\n      \"S\",\r\n      \"K\",\r\n      \"O\",\r\n      \"R\",\r\n      \"A\",\r\n      \"S\",\r\n      \"M\",\r\n      \"E\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"G\",\r\n      \"D\",\r\n      \"I\",\r\n      \"C\",\r\n      \"K\",\r\n      \"K\",\r\n      \"O\",\r\n      \"A\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"P\",\r\n      \"Q\",\r\n      \"R\",\r\n      \"H\",\r\n      \"E\",\r\n      \"K\",\r\n      \"E\",\r\n      \"W\",\r\n      \"X\",\r\n      \"T\",\r\n      \"R\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"O\",\r\n      \"O\",\r\n      \"N\",\r\n      \"S\",\r\n      \"T\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"O\",\r\n      \"T\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"U\",\r\n      \"U\",\r\n      \"D\",\r\n      \"M\",\r\n      \"B\",\r\n      \"U\",\r\n      \"V\",\r\n      \"W\",\r\n      \"X\",\r\n      \"R\",\r\n      \"H\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"N\",\r\n      \"N\",\r\n      \"S\",\r\n      \"I\",\r\n      \"A\",\r\n      \"G\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"C\",\r\n      \"Q\"\r\n    ],\r\n    [\r\n      \"D\",\r\n      \"D\",\r\n      \"H\",\r\n      \"T\",\r\n      \"L\",\r\n      \"S\",\r\n      \"T\",\r\n      \"U\",\r\n      \"V\",\r\n      \"W\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"U\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"I\",\r\n      \"H\",\r\n      \"L\",\r\n      \"E\",\r\n      \"F\",\r\n      \"G\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"C\",\r\n      \"A\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"C\",\r\n      \"O\",\r\n      \"M\",\r\n      \"P\",\r\n      \"L\",\r\n      \"E\",\r\n      \"X\",\r\n      \"I\",\r\n      \"T\",\r\n      \"Y\",\r\n      \"L\",\r\n      \"K\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"C\",\r\n      \"H\",\r\n      \"A\",\r\n      \"R\",\r\n      \"A\",\r\n      \"C\",\r\n      \"T\",\r\n      \"E\",\r\n      \"R\",\r\n      \"S\",\r\n      \"E\",\r\n      \"E\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"BACKGROUND\",\r\n      \"row\": 0,\r\n      \"col\": 9,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BASKETBALL\",\r\n      \"row\": 1,\r\n      \"col\": 12,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BLACKSMITH\",\r\n      \"row\": 1,\r\n      \"col\": 11,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BLOODHOUND\",\r\n      \"row\": 0,\r\n      \"col\": 10,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CHARACTERS\",\r\n      \"row\": 12,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"COMPLEXITY\",\r\n      \"row\": 11,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"EARTHQUAKE\",\r\n      \"row\": 3,\r\n      \"col\": 12,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"FRIENDSHIP\",\r\n      \"row\": 2,\r\n      \"col\": 9,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"MOTORCYCLE\",\r\n      \"row\": 3,\r\n      \"col\": 11,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"VOLLEYBALL\",\r\n      \"row\": 1,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    }\r\n  ]\r\n}', '[\"BACKGROUND\",\"BASKETBALL\",\"BLACKSMITH\",\"BLOODHOUND\",\"CHARACTERS\",\"COMPLEXITY\",\"EARTHQUAKE\",\"FRIENDSHIP\",\"MOTORCYCLE\",\"VOLLEYBALL\"]', '[\"BACKGROUND\",\"BASKETBALL\",\"BLACKSMITH\",\"BLOODHOUND\",\"CHARACTERS\",\"COMPLEXITY\",\"EARTHQUAKE\",\"FRIENDSHIP\",\"MOTORCYCLE\",\"VOLLEYBALL\"]', 1, '2025-05-14 06:28:59', '2025-05-15 23:53:50'),
(59, '14', '0', '0', 'Word Search', '[[\"B\",\"C\",\"H\",\"A\",\"L\",\"L\",\"E\",\"N\",\"G\",\"E\",\"K\",\"L\",\"M\"],[\"N\",\"A\",\"P\",\"I\",\"N\",\"T\",\"R\",\"I\",\"G\",\"U\",\"E\",\"Y\",\"F\"],[\"C\",\"B\",\"C\",\"F\",\"E\",\"S\",\"G\",\"R\",\"I\",\"D\",\"K\",\"L\",\"O\"],[\"P\",\"O\",\"U\",\"K\",\"O\",\"F\",\"T\",\"U\",\"I\",\"W\",\"X\",\"Y\",\"R\"],[\"U\",\"N\",\"N\",\"L\",\"W\",\"C\",\"I\",\"A\",\"C\",\"A\",\"K\",\"L\",\"W\"],[\"Z\",\"O\",\"V\",\"C\",\"L\",\"A\",\"G\",\"N\",\"N\",\"L\",\"X\",\"Y\",\"A\"],[\"Z\",\"E\",\"C\",\"E\",\"E\",\"O\",\"R\",\"S\",\"D\",\"J\",\"U\",\"L\",\"R\"],[\"L\",\"O\",\"V\",\"Q\",\"N\",\"N\",\"W\",\"D\",\"V\",\"W\",\"X\",\"E\",\"D\"],[\"E\",\"E\",\"C\",\"A\",\"E\",\"E\",\"T\",\"H\",\"I\",\"J\",\"K\",\"L\",\"M\"],[\"R\",\"O\",\"L\",\"Q\",\"R\",\"V\",\"E\",\"R\",\"T\",\"I\",\"C\",\"A\",\"L\"],[\"H\",\"O\",\"R\",\"I\",\"Z\",\"O\",\"N\",\"T\",\"A\",\"L\",\"K\",\"L\",\"M\"],[\"N\",\"C\",\"I\",\"R\",\"C\",\"L\",\"E\",\"U\",\"V\",\"T\",\"X\",\"Y\",\"Z\"],[\"A\",\"B\",\"C\",\"D\",\"E\",\"P\",\"L\",\"A\",\"Y\",\"J\",\"E\",\"L\",\"M\"]]', '{\r\n  \"rows\": 13,\r\n  \"cols\": 13,\r\n  \"words\": [\r\n    \"ANSWER\",\r\n    \"BACKWARD\",\r\n    \"CHALLENGE\",\r\n    \"CIRCLE\",\r\n    \"CLEVER\",\r\n    \"CLUE\",\r\n    \"CONCENTRATE\",\r\n    \"DIAGONAL\",\r\n    \"FIND\",\r\n    \"FORWARD\",\r\n    \"FUN\",\r\n    \"GRID\",\r\n    \"HORIZONTAL\",\r\n    \"INTRIGUE\",\r\n    \"PLAY\",\r\n    \"PUZZLE\",\r\n    \"SOLVE\",\r\n    \"VERTICAL\"\r\n  ],\r\n  \"clues\": [\r\n    \"ANSWER\",\r\n    \"BACKWARD\",\r\n    \"CHALLENGE\",\r\n    \"CIRCLE\",\r\n    \"CLEVER\",\r\n    \"CLUE\",\r\n    \"CONCENTRATE\",\r\n    \"DIAGONAL\",\r\n    \"FIND\",\r\n    \"FORWARD\",\r\n    \"FUN\",\r\n    \"GRID\",\r\n    \"HORIZONTAL\",\r\n    \"INTRIGUE\",\r\n    \"PLAY\",\r\n    \"PUZZLE\",\r\n    \"SOLVE\",\r\n    \"VERTICAL\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"B\",\r\n      \"C\",\r\n      \"H\",\r\n      \"A\",\r\n      \"L\",\r\n      \"L\",\r\n      \"E\",\r\n      \"N\",\r\n      \"G\",\r\n      \"E\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"A\",\r\n      \"P\",\r\n      \"I\",\r\n      \"N\",\r\n      \"T\",\r\n      \"R\",\r\n      \"I\",\r\n      \"G\",\r\n      \"U\",\r\n      \"E\",\r\n      \"Y\",\r\n      \"F\"\r\n    ],\r\n    [\r\n      \"C\",\r\n      \"B\",\r\n      \"C\",\r\n      \"F\",\r\n      \"E\",\r\n      \"S\",\r\n      \"G\",\r\n      \"R\",\r\n      \"I\",\r\n      \"D\",\r\n      \"K\",\r\n      \"L\",\r\n      \"O\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"O\",\r\n      \"U\",\r\n      \"K\",\r\n      \"O\",\r\n      \"F\",\r\n      \"T\",\r\n      \"U\",\r\n      \"I\",\r\n      \"W\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"R\"\r\n    ],\r\n    [\r\n      \"U\",\r\n      \"N\",\r\n      \"N\",\r\n      \"L\",\r\n      \"W\",\r\n      \"C\",\r\n      \"I\",\r\n      \"A\",\r\n      \"C\",\r\n      \"A\",\r\n      \"K\",\r\n      \"L\",\r\n      \"W\"\r\n    ],\r\n    [\r\n      \"Z\",\r\n      \"O\",\r\n      \"V\",\r\n      \"C\",\r\n      \"L\",\r\n      \"A\",\r\n      \"G\",\r\n      \"N\",\r\n      \"N\",\r\n      \"L\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"A\"\r\n    ],\r\n    [\r\n      \"Z\",\r\n      \"E\",\r\n      \"C\",\r\n      \"E\",\r\n      \"E\",\r\n      \"O\",\r\n      \"R\",\r\n      \"S\",\r\n      \"D\",\r\n      \"J\",\r\n      \"U\",\r\n      \"L\",\r\n      \"R\"\r\n    ],\r\n    [\r\n      \"L\",\r\n      \"O\",\r\n      \"V\",\r\n      \"Q\",\r\n      \"N\",\r\n      \"N\",\r\n      \"W\",\r\n      \"D\",\r\n      \"V\",\r\n      \"W\",\r\n      \"X\",\r\n      \"E\",\r\n      \"D\"\r\n    ],\r\n    [\r\n      \"E\",\r\n      \"E\",\r\n      \"C\",\r\n      \"A\",\r\n      \"E\",\r\n      \"E\",\r\n      \"T\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"R\",\r\n      \"O\",\r\n      \"L\",\r\n      \"Q\",\r\n      \"R\",\r\n      \"V\",\r\n      \"E\",\r\n      \"R\",\r\n      \"T\",\r\n      \"I\",\r\n      \"C\",\r\n      \"A\",\r\n      \"L\"\r\n    ],\r\n    [\r\n      \"H\",\r\n      \"O\",\r\n      \"R\",\r\n      \"I\",\r\n      \"Z\",\r\n      \"O\",\r\n      \"N\",\r\n      \"T\",\r\n      \"A\",\r\n      \"L\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"C\",\r\n      \"I\",\r\n      \"R\",\r\n      \"C\",\r\n      \"L\",\r\n      \"E\",\r\n      \"U\",\r\n      \"V\",\r\n      \"T\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"A\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"E\",\r\n      \"P\",\r\n      \"L\",\r\n      \"A\",\r\n      \"Y\",\r\n      \"J\",\r\n      \"E\",\r\n      \"L\",\r\n      \"M\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"ANSWER\",\r\n      \"row\": 4,\r\n      \"col\": 9,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BACKWARD\",\r\n      \"row\": 0,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CHALLENGE\",\r\n      \"row\": 0,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"CIRCLE\",\r\n      \"row\": 11,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"CLEVER\",\r\n      \"row\": 4,\r\n      \"col\": 5,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CLUE\",\r\n      \"row\": 4,\r\n      \"col\": 8,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CONCENTRATE\",\r\n      \"row\": 2,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"DIAGONAL\",\r\n      \"row\": 2,\r\n      \"col\": 9,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"FIND\",\r\n      \"row\": 3,\r\n      \"col\": 5,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"FORWARD\",\r\n      \"row\": 1,\r\n      \"col\": 12,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"FUN\",\r\n      \"row\": 2,\r\n      \"col\": 3,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"GRID\",\r\n      \"row\": 2,\r\n      \"col\": 6,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"HORIZONTAL\",\r\n      \"row\": 10,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"INTRIGUE\",\r\n      \"row\": 1,\r\n      \"col\": 3,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"PLAY\",\r\n      \"row\": 12,\r\n      \"col\": 5,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"PUZZLE\",\r\n      \"row\": 3,\r\n      \"col\": 0,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SOLVE\",\r\n      \"row\": 2,\r\n      \"col\": 5,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"VERTICAL\",\r\n      \"row\": 9,\r\n      \"col\": 5,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    }\r\n  ]\r\n}', '[\"ANSWER\",\"BACKWARD\",\"CHALLENGE\",\"CIRCLE\",\"CLEVER\",\"CLUE\",\"CONCENTRATE\",\"DIAGONAL\",\"FIND\",\"FORWARD\",\"FUN\",\"GRID\",\"HORIZONTAL\",\"INTRIGUE\",\"PLAY\",\"PUZZLE\",\"SOLVE\",\"VERTICAL\"]', '[\"ANSWER\",\"BACKWARD\",\"CHALLENGE\",\"CIRCLE\",\"CLEVER\",\"CLUE\",\"CONCENTRATE\",\"DIAGONAL\",\"FIND\",\"FORWARD\",\"FUN\",\"GRID\",\"HORIZONTAL\",\"INTRIGUE\",\"PLAY\",\"PUZZLE\",\"SOLVE\",\"VERTICAL\"]', 1, '2025-05-14 08:50:27', '2025-05-16 08:21:11'),
(61, '12', '0', '0', 'Bridges', '[[\"C\",\"B\",\"C\",\"D\",\"T\",\"R\",\"U\",\"S\",\"S\",\"D\",\"K\",\"L\",\"M\"],[\"B\",\"O\",\"P\",\"G\",\"R\",\"S\",\"T\",\"U\",\"V\",\"A\",\"R\",\"Y\",\"Z\"],[\"S\",\"E\",\"V\",\"D\",\"O\",\"F\",\"L\",\"H\",\"I\",\"N\",\"R\",\"A\",\"M\"],[\"U\",\"O\",\"A\",\"E\",\"R\",\"L\",\"T\",\"O\",\"A\",\"W\",\"X\",\"C\",\"W\"],[\"S\",\"B\",\"C\",\"M\",\"R\",\"F\",\"D\",\"T\",\"N\",\"J\",\"K\",\"L\",\"H\"],[\"P\",\"W\",\"P\",\"Q\",\"R\",\"E\",\"U\",\"E\",\"V\",\"D\",\"X\",\"Y\",\"Z\"],[\"E\",\"B\",\"I\",\"D\",\"R\",\"R\",\"D\",\"H\",\"N\",\"J\",\"O\",\"L\",\"M\"],[\"N\",\"O\",\"P\",\"N\",\"A\",\"O\",\"T\",\"U\",\"V\",\"G\",\"X\",\"N\",\"Z\"],[\"S\",\"B\",\"C\",\"L\",\"G\",\"F\",\"P\",\"H\",\"I\",\"J\",\"A\",\"L\",\"M\"],[\"I\",\"O\",\"C\",\"A\",\"B\",\"L\",\"E\",\"E\",\"V\",\"W\",\"X\",\"T\",\"Z\"],[\"O\",\"C\",\"A\",\"N\",\"T\",\"I\",\"L\",\"E\",\"V\",\"E\",\"R\",\"L\",\"E\"],[\"N\",\"O\",\"F\",\"O\",\"O\",\"T\",\"T\",\"U\",\"V\",\"W\",\"X\",\"Y\",\"Z\"],[\"V\",\"E\",\"R\",\"T\",\"I\",\"C\",\"A\",\"L\",\"L\",\"I\",\"F\",\"T\",\"M\"]]', '{\r\n  \"rows\": 13,\r\n  \"cols\": 13,\r\n  \"words\": [\r\n    \"BEAM\",\r\n    \"CABLE\",\r\n    \"CANTILEVER\",\r\n    \"COVERED\",\r\n    \"DRAW\",\r\n    \"FOOT\",\r\n    \"GOLDENGATE\",\r\n    \"LONDON\",\r\n    \"NATURAL\",\r\n    \"ARCH\",\r\n    \"ROPE\",\r\n    \"SUSPENSION\",\r\n    \"SWING\",\r\n    \"TRUSS\",\r\n    \"VERTICALLIFT\"\r\n  ],\r\n  \"clues\": [\r\n    \"BM\",\r\n    \"CBL\",\r\n    \"CNTLVR\",\r\n    \"CVRD\",\r\n    \"DRW\",\r\n    \"FT\",\r\n    \"GLDN GT\",\r\n    \"LNDN\",\r\n    \"NTRL\",\r\n    \"RCH\",\r\n    \"RP\",\r\n    \"SSPNSN\",\r\n    \"SWNG\",\r\n    \"TRSS\",\r\n    \"VRTCL LFT\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"C\",\r\n      \"B\",\r\n      \"C\",\r\n      \"D\",\r\n      \"T\",\r\n      \"R\",\r\n      \"U\",\r\n      \"S\",\r\n      \"S\",\r\n      \"D\",\r\n      \"K\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"B\",\r\n      \"O\",\r\n      \"P\",\r\n      \"G\",\r\n      \"R\",\r\n      \"S\",\r\n      \"T\",\r\n      \"U\",\r\n      \"V\",\r\n      \"A\",\r\n      \"R\",\r\n      \"Y\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"S\",\r\n      \"E\",\r\n      \"V\",\r\n      \"D\",\r\n      \"O\",\r\n      \"F\",\r\n      \"L\",\r\n      \"H\",\r\n      \"I\",\r\n      \"N\",\r\n      \"R\",\r\n      \"A\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"U\",\r\n      \"O\",\r\n      \"A\",\r\n      \"E\",\r\n      \"R\",\r\n      \"L\",\r\n      \"T\",\r\n      \"O\",\r\n      \"A\",\r\n      \"W\",\r\n      \"X\",\r\n      \"C\",\r\n      \"W\"\r\n    ],\r\n    [\r\n      \"S\",\r\n      \"B\",\r\n      \"C\",\r\n      \"M\",\r\n      \"R\",\r\n      \"F\",\r\n      \"D\",\r\n      \"T\",\r\n      \"N\",\r\n      \"J\",\r\n      \"K\",\r\n      \"L\",\r\n      \"H\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"W\",\r\n      \"P\",\r\n      \"Q\",\r\n      \"R\",\r\n      \"E\",\r\n      \"U\",\r\n      \"E\",\r\n      \"V\",\r\n      \"D\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"E\",\r\n      \"B\",\r\n      \"I\",\r\n      \"D\",\r\n      \"R\",\r\n      \"R\",\r\n      \"D\",\r\n      \"H\",\r\n      \"N\",\r\n      \"J\",\r\n      \"O\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"P\",\r\n      \"N\",\r\n      \"A\",\r\n      \"O\",\r\n      \"T\",\r\n      \"U\",\r\n      \"V\",\r\n      \"G\",\r\n      \"X\",\r\n      \"N\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"S\",\r\n      \"B\",\r\n      \"C\",\r\n      \"L\",\r\n      \"G\",\r\n      \"F\",\r\n      \"P\",\r\n      \"H\",\r\n      \"I\",\r\n      \"J\",\r\n      \"A\",\r\n      \"L\",\r\n      \"M\"\r\n    ],\r\n    [\r\n      \"I\",\r\n      \"O\",\r\n      \"C\",\r\n      \"A\",\r\n      \"B\",\r\n      \"L\",\r\n      \"E\",\r\n      \"E\",\r\n      \"V\",\r\n      \"W\",\r\n      \"X\",\r\n      \"T\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"O\",\r\n      \"C\",\r\n      \"A\",\r\n      \"N\",\r\n      \"T\",\r\n      \"I\",\r\n      \"L\",\r\n      \"E\",\r\n      \"V\",\r\n      \"E\",\r\n      \"R\",\r\n      \"L\",\r\n      \"E\"\r\n    ],\r\n    [\r\n      \"N\",\r\n      \"O\",\r\n      \"F\",\r\n      \"O\",\r\n      \"O\",\r\n      \"T\",\r\n      \"T\",\r\n      \"U\",\r\n      \"V\",\r\n      \"W\",\r\n      \"X\",\r\n      \"Y\",\r\n      \"Z\"\r\n    ],\r\n    [\r\n      \"V\",\r\n      \"E\",\r\n      \"R\",\r\n      \"T\",\r\n      \"I\",\r\n      \"C\",\r\n      \"A\",\r\n      \"L\",\r\n      \"L\",\r\n      \"I\",\r\n      \"F\",\r\n      \"T\",\r\n      \"M\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"BEAM\",\r\n      \"row\": 1,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"CABLE\",\r\n      \"row\": 9,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"CANTILEVER\",\r\n      \"row\": 10,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"COVERED\",\r\n      \"row\": 0,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"DRAW\",\r\n      \"row\": 0,\r\n      \"col\": 9,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"FOOT\",\r\n      \"row\": 11,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"GOLDENGATE\",\r\n      \"row\": 1,\r\n      \"col\": 3,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"LONDON\",\r\n      \"row\": 2,\r\n      \"col\": 6,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"NATURAL\",\r\n      \"row\": 2,\r\n      \"col\": 9,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"ARCH\",\r\n      \"row\": 1,\r\n      \"col\": 9,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"ROPE\",\r\n      \"row\": 6,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SUSPENSION\",\r\n      \"row\": 2,\r\n      \"col\": 0,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SWING\",\r\n      \"row\": 4,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"TRUSS\",\r\n      \"row\": 0,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"VERTICALLIFT\",\r\n      \"row\": 12,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    }\r\n  ]\r\n}', '[\"BEAM\",\"CABLE\",\"CANTILEVER\",\"COVERED\",\"DRAW\",\"FOOT\",\"GOLDENGATE\",\"LONDON\",\"NATURAL\",\"ARCH\",\"ROPE\",\"SUSPENSION\",\"SWING\",\"TRUSS\",\"VERTICALLIFT\"]', '[\"BM\",\"CBL\",\"CNTLVR\",\"CVRD\",\"DRW\",\"FT\",\"GLDN GT\",\"LNDN\",\"NTRL\",\"RCH\",\"RP\",\"SSPNSN\",\"SWNG\",\"TRSS\",\"VRTCL LFT\"]', 1, '2025-05-16 08:50:14', '2025-05-16 08:51:26'),
(62, '15', '0', '0', 'And', '[[\"P\",\"S\",\"S\",\"D\",\"E\",\"B\",\"B\"],[\"P\",\"A\",\"A\",\"O\",\"L\",\"A\",\"A\"],[\"E\",\"L\",\"P\",\"L\",\"C\",\"T\",\"L\"],[\"P\",\"O\",\"X\",\"E\",\"T\",\"K\",\"L\"],[\"P\",\"C\",\"E\",\"K\",\"R\",\"H\",\"S\"],[\"E\",\"K\",\"E\",\"M\",\"P\",\"E\",\"N\"],[\"R\",\"Y\",\"S\",\"H\",\"O\",\"E\",\"S\"]]', '{\r\n  \"rows\": 7,\r\n  \"cols\": 7,\r\n  \"words\": [\r\n    \"PEN\",\r\n    \"PAPER\",\r\n    \"SALT\",\r\n    \"PEPPER\",\r\n    \"BAT\",\r\n    \"BALL\",\r\n    \"LOCK\",\r\n    \"KEY\",\r\n    \"SHOES\",\r\n    \"SOCKS\"\r\n  ],\r\n  \"clues\": [\r\n    \"PEN & PAPER\",\r\n    \"SALT & PEPPER\",\r\n    \"BAT & BALL\",\r\n    \"LOCK & KEY\",\r\n    \"SHOES & SOCKS\"\r\n  ],\r\n  \"board\": [\r\n    [\r\n      \"P\",\r\n      \"S\",\r\n      \"S\",\r\n      \"D\",\r\n      \"E\",\r\n      \"B\",\r\n      \"B\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"A\",\r\n      \"A\",\r\n      \"O\",\r\n      \"L\",\r\n      \"A\",\r\n      \"A\"\r\n    ],\r\n    [\r\n      \"E\",\r\n      \"L\",\r\n      \"P\",\r\n      \"L\",\r\n      \"C\",\r\n      \"T\",\r\n      \"L\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"O\",\r\n      \"X\",\r\n      \"E\",\r\n      \"T\",\r\n      \"K\",\r\n      \"L\"\r\n    ],\r\n    [\r\n      \"P\",\r\n      \"C\",\r\n      \"E\",\r\n      \"K\",\r\n      \"R\",\r\n      \"H\",\r\n      \"S\"\r\n    ],\r\n    [\r\n      \"E\",\r\n      \"K\",\r\n      \"E\",\r\n      \"M\",\r\n      \"P\",\r\n      \"E\",\r\n      \"N\"\r\n    ],\r\n    [\r\n      \"R\",\r\n      \"Y\",\r\n      \"S\",\r\n      \"H\",\r\n      \"O\",\r\n      \"E\",\r\n      \"S\"\r\n    ]\r\n  ],\r\n  \"wordPlacements\": [\r\n    {\r\n      \"word\": \"PEN\",\r\n      \"row\": 5,\r\n      \"col\": 4,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"PAPER\",\r\n      \"row\": 0,\r\n      \"col\": 0,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SALT\",\r\n      \"row\": 0,\r\n      \"col\": 1,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"PEPPER\",\r\n      \"row\": 1,\r\n      \"col\": 0,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BAT\",\r\n      \"row\": 0,\r\n      \"col\": 5,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"BALL\",\r\n      \"row\": 0,\r\n      \"col\": 6,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"LOCK\",\r\n      \"row\": 2,\r\n      \"col\": 1,\r\n      \"h\": 0,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"KEY\",\r\n      \"row\": 4,\r\n      \"col\": 3,\r\n      \"h\": -1,\r\n      \"v\": 1\r\n    },\r\n    {\r\n      \"word\": \"SHOES\",\r\n      \"row\": 6,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 0\r\n    },\r\n    {\r\n      \"word\": \"SOCKS\",\r\n      \"row\": 0,\r\n      \"col\": 2,\r\n      \"h\": 1,\r\n      \"v\": 1\r\n    }\r\n  ]\r\n}', '[\"PEN\",\"PAPER\",\"SALT\",\"PEPPER\",\"BAT\",\"BALL\",\"LOCK\",\"KEY\",\"SHOES\",\"SOCKS\"]', '[\"PEN & PAPER\",\"SALT & PEPPER\",\"BAT & BALL\",\"LOCK & KEY\",\"SHOES & SOCKS\"]', 1, '2025-05-18 09:46:37', '2025-05-23 07:04:02');

-- --------------------------------------------------------

--
-- Table structure for table `levelwords`
--

CREATE TABLE `levelwords` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `levelWord` longtext NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `levelwords`
--

INSERT INTO `levelwords` (`id`, `levelWord`, `created_at`, `updated_at`) VALUES
(1, 'murder,kill,ass,tit,dick,hell,shit,fuck', NULL, '2025-04-17 11:53:35');

-- --------------------------------------------------------

--
-- Table structure for table `level_words`
--

CREATE TABLE `level_words` (
  `id` int(11) NOT NULL,
  `level_id` int(11) NOT NULL,
  `word` varchar(255) DEFAULT NULL,
  `row` int(11) NOT NULL,
  `column` int(11) NOT NULL,
  `horizontal` int(11) NOT NULL,
  `vertical` int(11) NOT NULL,
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0 = Deactive 1 = Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2020_05_21_071442_create_admins_table', 1),
(2, '2025_02_12_111152_create_users_table', 1),
(3, '2025_02_17_043654_create_categories_table', 2),
(4, '2025_02_17_055929_create_subcategories_table', 3),
(5, '2025_04_08_110248_create_levelwords_table', 4);

-- --------------------------------------------------------

--
-- Table structure for table `subcategories`
--

CREATE TABLE `subcategories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `categoryId` varchar(255) NOT NULL,
  `subcategoryName` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `subcategories`
--

INSERT INTO `subcategories` (`id`, `categoryId`, `subcategoryName`, `created_at`, `updated_at`) VALUES
(3, '1', 'Subcategory', '2025-02-17 01:50:38', '2025-02-17 01:50:38');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `userName` varchar(100) NOT NULL,
  `userToken` varchar(255) DEFAULT NULL,
  `password` text NOT NULL,
  `email` varchar(100) NOT NULL,
  `isActive` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `userName`, `userToken`, `password`, `email`, `isActive`, `created_at`, `updated_at`) VALUES
(10, 'Test123', 'c0c4d8104e3745235cc786f4d31bcc51', '$2y$10$5M.por3.QSntpTkBZFgg0.Qo8S/hdDc/KWtw2aeWFsqB3DDcB.B1e', 'Test@example.com', 1, '2025-02-17 02:39:04', '2025-02-17 03:03:40'),
(11, 'test', '9220f8e0367b7ce9802b2bb9bc9d74ab', '$2y$10$dcZEknePa.wy7c8A.EFKY.aAmdvZQ33eB.o/swQmG0PZatB4xhokK', 'Test1@example.com', 1, '2025-02-17 03:01:44', '2025-02-17 03:01:44');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `admins`
--
ALTER TABLE `admins`
  ADD PRIMARY KEY (`id`),
  ADD KEY `username` (`username`),
  ADD KEY `password` (`password`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `category_levels`
--
ALTER TABLE `category_levels`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `levels`
--
ALTER TABLE `levels`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `levelwords`
--
ALTER TABLE `levelwords`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `level_words`
--
ALTER TABLE `level_words`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `subcategories`
--
ALTER TABLE `subcategories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `categoryId` (`categoryId`),
  ADD KEY `subcategoryName` (`subcategoryName`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `admins`
--
ALTER TABLE `admins`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `category_levels`
--
ALTER TABLE `category_levels`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `levels`
--
ALTER TABLE `levels`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=64;

--
-- AUTO_INCREMENT for table `levelwords`
--
ALTER TABLE `levelwords`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `level_words`
--
ALTER TABLE `level_words`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `subcategories`
--
ALTER TABLE `subcategories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
