@extends('adminpanel.default.master')
@section('title', 'Manage Objectionable Word')
@section('content')
            
<?php
$label = "Edit";

$levelWord = "";
$id = "";
$isError = false;
$formURL = route('adminpanel.levelword.update');
$picture = asset('adminpanel/images/default-user.jpg');

if(isset($data['error'])) {
    $isError = true;
    $levelWord = $data['levelword']['levelWord'];
} else { 
    if($data['type'] == "edit") {
        $id = $data['levelword'][0]->id;
        $levelWord = $data['levelword'][0]->levelWord;
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>Manage Objectionable Word</strong></h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <div class="add-user-one-main-content-top">
            @if(session()->has('success'))
                <div class="success-message-box">
                    {{ session('success') }}
                </div>
            @endif
            @if($isError)
                <div class="error-message-box">
                    <?php foreach($data['error']->all() as $error) {
                        echo "<p>". $error . "</p>";
                    } ?>
                </div>
            @endif
        </div>
        <form method="post" action="{{ $formURL }}" enctype="multipart/form-data">
            <input name="_token" type="hidden" value="{{ csrf_token() }}"/>
            <input name="id" type="hidden" value="{{ $id }}"/>
            <div class="user-pro-detail-main-content">
                <div class="user-pro-detail-sub-content">
                    <div class="user-pro-detail-content">
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Enter Objectionable Word(Comma Seperated)</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <input type="text" placeholder="Enter  Objectionable Word(Comma Seperated)" name="levelWord" class="form-control" value="{{ $levelWord }}">
                            </div>
                        </div>
                    </div>
                    <div class="next-step-btn-main">
                        <button type="submit" class="next-step">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
@endsection