@extends('adminpanel.default.master')

 

@section('title', 'Manage Combo SubCategory')



@section('content')

<?php

    $clogo = asset('adminpanel/images/default-user.jpg');

?>

<div class="top-dashboard-title">

    <div class="d-code-main listing-page-head-src">

        <div class="d-title">

            <h4><strong>SubCategory</strong><span>|</span>{{ $data->total() }} Total</h4>          

            <div class="input-group md-form form-sm form-2 pl-0">

                <form method="get" action="{{ route('adminpanel.subcategory.search') }}" enctype="multipart/form-data" style="display: flex;" id="search_form">

                    <div>

                        <input class="form-control" type="text" name="search" placeholder="Search By SubCategory Name" aria-label="Search" style="width: 200px;margin-right: 10px;">

                    </div>

                    

                    <div class="">                      

                        <input class="btn-main" type="submit" name="submit" value="Search">

                    </div>

                </form>

            </div>

            

        </div>

    </div>

    <div class="action-btn listing-page-head-btn">

        <a href="{{ route('adminpanel.subcategory.add') }}" class="btn-main">Add SubCategory</a>

    </div>

</div>



<div class="dashboard-content-main add-user-main listing-page-main">

    <div class="add-user-one-main-content padding-zero">

        @if(session()->has('success'))

            <div class="success-message-box">

                {{ session('success') }}

            </div>

        @endif

        @if($errors->any())

            <div class="error-message-box">                    

                <p>{{$errors->first()}}</p>

            </div>

        @endif

        <div class="data-table-main">

            <table id="example" class="table table-striped table-bordered" style="width:100%">

                <thead>

                    <tr>

                        

                        <th scope="col">No</th>

                        <th scope="col">Category Name</th> 

                        <th scope="col">SubCategory Name</th>

                        {{-- <th scope="col">Status</th> --}}

                        <th scope="col">Actions</th>

                    </tr>

                </thead>

                <tbody>

                    <?php

                        $counter = 0;

                    ?>

                    @if(count($data) > 0)

                    @foreach ($data as $key => $d)

                    <?php

                        $counter++;

                    ?>

                    <tr>

                        

                        <td>{{ ($data->currentpage()-1) * $data->perpage() + $key + 1 }}</td>

                        {{--<td><span class="bck-clr"><img src="{{ asset('/uploads/Category_images/'.$d->categoryImage ) }}" style="width: 50px; height: 50px;"></span></td>--}}

                        <td>{{ $d->category->categoryName}}</td>

                        <td>{{ $d->subcategoryName }}</td>

                        {{-- <td>@if($d->status == 1)

                            <span class="success-main gre-clr">Active</span>

                        @else

                            <span class="success-main pink-clr">Deactive</span>

                        @endif</td> --}}

                        <td class="dropdown-td">

                            <a href="javascript:;" data-toggle="dropdown"><img src="{{ asset('adminpanel/images/icon.png') }}"></a>

                            <div class="dropdown-menu">

                                <a class="dropdown-item" href="{{ url('/adminpanel/editsubcategory/'.$d->id) }}"><span><i class="fas fa-edit"></i></span>Edit</a>

                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmDelete('SubCategory', '{{ url('/adminpanel/deletesubcategory/'.$d->id) }}')"><span><i class="fas fa-trash-alt"></i></span>Remove</a>   

                            </div>

                        </td>

                    </tr>

                    @endforeach

                    @else

                        <tr><td colspan="6"><center>No record Found</center></td></tr>

                    @endif

                </tbody>

            </table>

        </div>

        <div class="listing-page-main-bottom">

            <div class="listing-page-main-bottom-left">

                {{ $data->render() }}

            </div>

            <div class="listing-page-main-bottom-right">

                <div class="listing-page-main-bottom-right-drop-down">

                </div>

                <div class="listing-page-main-bottom-right-cnt">

                    <p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>

                </div>

            </div>

        </div>

    </div>

</div>

@endsection