 <!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $__env->yieldContent('title'); ?></title>
    <link href="<?php echo e(asset('adminpanel/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/slick.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/slick-theme.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/style.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/highcharts.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/components.min.css')); ?>" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/css/bootstrap4-toggle.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/fontawesome-all.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/flaticon.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/gijgo.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/tagsinput.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/jquery.bootstrap-touchspin.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/style2.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/responsive.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet" media="screen">
    <link href="<?php echo e(asset('adminpanel/css/jquery.fancybox.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/select2/select2.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('adminpanel/css/chosen/bootstrap-chosen.css')); ?>" rel="stylesheet">
    
</head>
<body>

    <div id="sitemain">

        <!-- BEGIN :: DASHBOARD -->

        <div class="dashboard-main" id="dashboard">
        <?php echo $__env->make('adminpanel.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="dashboard-right-side-main">
        <?php echo $__env->make('adminpanel.include.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->yieldContent('content'); ?>
        <?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script src="<?php echo e(asset('adminpanel/js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery-1.11.3.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap-multiselectsplitter.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-touchspin/4.2.5/jquery.bootstrap-touchspin.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/slick.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/gijgo.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/tagsinput.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery.bootstrap-touchspin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/file-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/ckeditor/ckeditor.js')); ?>"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/custom.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery.fancybox.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/chosen/chosen.jquery.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/chosen/chosen-active.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/select2/select2.full.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/select2/select2-active.js')); ?>"></script>
 <!--   <script>
        CKEDITOR.replace( 'description' );
        CKEDITOR.replace( 'description2' );
        CKEDITOR.replace( 'description3' );
        CKEDITOR.replace( 'description4' );
        CKEDITOR.replace( 'description5' );
        CKEDITOR.replace('missiondescription');
    </script> -->

    <script>
        $('#datepicker').datepicker({
            uiLibrary: 'bootstrap4'
        });

        $('#datepicker1').datepicker({
            uiLibrary: 'bootstrap4'
        });

        // $('.datepicker1').datepicker({
        //     uiLibrary: 'bootstrap4'
        // });

        // $('#datepicker2').datepicker({
        //     uiLibrary: 'bootstrap4'
        // });

        // $('#datepicker3').datepicker({
        //     uiLibrary: 'bootstrap4'
        // });

        $('#startDate').datepicker({
            uiLibrary: 'bootstrap4'
        });
        $('#endDate').datepicker({
            uiLibrary: 'bootstrap4'
        });
        $(document).ready(function() {
        $('#example').DataTable();
    } );

    $('#startDate').datepicker({
        uiLibrary: 'bootstrap4'
    });
    $('#endDate').datepicker({
        uiLibrary: 'bootstrap4'
    });
    </script>

    <script>
        $('#datetimepicker1').datetimepicker({

        });
    </script>
    <script>
        $(".dropdown-menu li a").click(function(){
          var selText = $(this).text();
          $(this).parents('.btn-group').find('.dropdown-toggle').html(selText+' <span class="caret"></span>');
        });

        $("#addChild").click(function() {
            var child_counter = $("#child_counter");
            var child_counter_val = child_counter.val();
            child_counter_val = parseInt(child_counter_val)+parseInt(1);
            child_counter.val(child_counter_val);
            var childContainer = $("#childContainer");
            var childForm = '<div class="user-pro-detail-content-dt-one" id="cfnameContainer'+child_counter_val+'"><div style="position: absolute; right: 25px; cursor: pointer;"><img onclick="funRemoveChild('+child_counter_val+')" title="Remove child" alt="Remove child" src="<?php echo e(asset('/adminpanel/images/close-circle-outline.png')); ?>" width="25" height="25" ></div><div class="user-pro-detail-content-left"><label>Enter child firstname</label></div><div class="user-pro-detail-content-right"><input type="text" name="cfname'+child_counter_val+'" class="form-control" placeholder="Enter child firstname" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="clnameContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Enter child lastname</label></div><div class="user-pro-detail-content-right"><input type="text" name="clname'+child_counter_val+'" class="form-control" placeholder="Enter child lastname" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="cgenderContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Select child gender</label></div><div class="user-pro-detail-content-right"><label class="ki-radio ki-radio-bold ki-radio-brand"><input checked="checked" name="cgender'+child_counter_val+'" type="radio" value="M"> Male<span></span></label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <label class="ki-radio ki-radio-bold ki-radio-brand"><input name="cgender1" type="radio" value="F"> Female<span></span></label></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="cbdateContainer'+child_counter_val+'"><div class="user-pro-detail-content-left"><label>Select child birthdate</label></div><div class="user-pro-detail-content-right"><input class="form-control" id="datepicker'+child_counter_val+'" placeholder="Select child birthdate" name="cbdate'+child_counter_val+'" type="text" value="" ></div></div>';
            childForm += '<div class="user-pro-detail-content-dt-one" id="chrContainer'+child_counter_val+'" style="padding-bottom: 0;"><hr style="width: 90%;"></div>';
            childForm += '<script id="scriptContainer'+child_counter_val+'">$("#datepicker'+child_counter_val+'").datepicker({uiLibrary: "bootstrap4"});<\/script>';
            childContainer.append(childForm);
        });

        var funRemoveChild = function(id) {
            console.log("ID: " + id);
            $("#cfnameContainer"+id).remove();
            $("#clnameContainer"+id).remove();
            $("#cgenderContainer"+id).remove();
            $("#cbdateContainer"+id).remove();
            $("#chrContainer"+id).remove();
            $("#scriptContainer"+id).remove();
        }
    </script>
   <!-- <script src="https://maps.googleapis.com/maps/api/js?libraries=places&key=AIzaSyDXJTAXgXLfDLvucefdiQ3j2ofO2_f7CE8&callback=initAutocomplete" async defer></script> -->
   <script src="https://maps.googleapis.com/maps/api/js?libraries=places&key=AIzaSyBcCzoAg2mFzHs1IKtxxu8QDLxqyWWIis0&callback=initAutocomplete" async defer></script>
<script type="text/javascript">
    function initAutocomplete(){
    var vl=1;
    var input = document.getElementById('locality'+vl);
    //alert(input);
     var options = {
       types: ['(regions)'],
       componentRestrictions: {country: "IN"}
     };
    //var options = {}

    var autocomplete = new google.maps.places.Autocomplete(input, options);

    google.maps.event.addListener(autocomplete, 'place_changed', function() {
      var place = autocomplete.getPlace();
      var lat = place.geometry.location.lat();
      var lng = place.geometry.location.lng();
      //state = place.locality.location.state();
      console.log(place.address_components);
      for(var sc=0; sc<place.address_components.length; sc++){
            if (place.address_components[sc].types[0] == "locality") {
                //this is the object you are looking for City
                var cityName = place.address_components[sc].long_name;
            }
            if (place.address_components[sc].types[0] == "administrative_area_level_1") {
                //this is the object you are looking for State
                var stateName = place.address_components[sc].long_name;
            }
            if (place.address_components[sc].types[0] == "country") {
                //this is the object you are looking for
                var countryName = place.address_components[sc].long_name;
            }
            if (place.address_components[sc].types[0] == "postal_code") {
                //this is the object you are looking for
                var postalCode = place.address_components[sc].long_name;
            }
      } 
      
      if (addressType == "country") {
          var $country = place.address_components[i].short_name;
        } 
      

      var placeId = place.place_id;
      // to set city name, using the locality param
      var componentForm = {
        locality: 'short_name',
      };
      for (var i = 0; i < place.address_components.length; i++) {
        var addressType = place.address_components.types;
        if (componentForm[addressType]) {
          var val = place.address_components[componentForm[addressType]];
         // document.getElementById("city").value = val;
        }
      }
      
      document.getElementById("latitude").value = lat;
      document.getElementById("longitude").value = lng;
      document.getElementById("city").value = cityName;
      document.getElementById("state").value = stateName;
      document.getElementById("country").value = countryName;
      document.getElementById("postal_code").value = postalCode;

      var locationID = document.getElementById("locality"+vl).value;
      var placeName = place.name;
        $.ajax({
            type:'GET',
            url:'matchlocation',
            data:{locationID:locationID,placeName:placeName},
            dataType: "json",
            success:function(data) 
            {
                console.log(data);
                if(data) 
                {
                    alert(data);
                }
            }
        });

    //document.getElementById("map_preview").display = 'block';
    });
  }
</script>
    <script>

    var displayLoader = function() {
      $("#loader").css("display", "block");
    }
    var hideLoader = function() {
      $("#loader").css("display", "none");
    }
    $("#btnUploadImage").click(function(){
      $("#file_type").val("image");
      $("#media").attr("accept", "image/*");
      $("#media").trigger("click");
    });
    $("#btnUploadVideo").click(function(){
      $("#file_type").val("video");
      $("#media").attr("accept", "video/*");
      $("#media").trigger("click");
    });
    $("#btnUploadAudio").click(function(){
      $("#file_type").val("audio");
      $("#media").attr("accept", "audio/*");
      $("#media").trigger("click");
    });
    </script>
    <script src="https://www.gstatic.com/firebasejs/4.9.1/firebase.js"></script>
    <script type="text/javascript">
        // Your web app's Firebase configuration
        var config = {
            apiKey: "<?php echo e(config('services.firebase.api_key')); ?>",
            authDomain: "<?php echo e(config('services.firebase.auth_domain')); ?>",
            databaseURL: "<?php echo e(config('services.firebase.database_url')); ?>",
            projectId: "<?php echo e(config('services.firebase.project_id')); ?>",
            storageBucket: "<?php echo e(config('services.firebase.storage_bucket')); ?>",
            messagingSenderId: "<?php echo e(config('services.firebase.messaging_sender_id')); ?>",
            appId: "<?php echo e(config('services.firebase.app_id')); ?>",
           // measurementId: "<?php echo e(config('services.firebase.measurement_id')); ?>"
        };
        // Initialize Firebase
        firebase.initializeApp(config);

        var database = firebase.database();
        console.log(database);
        var lastIndex = 0;
    </script>
    /*=====================================================Customer Chat=====================================================*/
    <script type="text/javascript">

        function markMessageAsRead(senderId,receiverId) 
        {
            console.log("Here1");
     
            var usersList = {};
            let dbCon = firebase.database().ref("/messages/"+ senderId + '-' + receiverId);
            dbCon.once("value", function(snapshot) {
                snapshot.forEach(function(child) {
                    //console.log(child.val());
                    usersList[child.val().usersList[0]['status']] = "1";
                    /*child.ref.update({usersList
                    });*/
                });
            });
        }


        var input = document.getElementById("msg");

        input.addEventListener("keyup", function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();
                document.getElementById("btnMessageSend").click();
            }
        });
            
        var sId = $('#senderId').val();
        var rId = $('#receiverId').val();
        var senderphoto = 'https://img.icons8.com/color/36/000000/administrator-male.png';
        var receiverphoto = 'https://img.icons8.com/color/36/000000/administrator-male.png';
        var senderName = '';
        var receiverName = '';
        if(sId > 0){
            //var sData = getchastUserDetail(sId,'sender');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('input[name="_token"]').val()
                }
            });
                
            var url = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/ajaxgetchatuserdetail/'+sId;
            
            $.ajax({            
                type: "get",                   
                url:url,                               
                data:'',
                processData: false,
                contentType: false,            
                success: function(data) {
                    console.log(data);
                    for (var i=0; i<data.length; i++){
                        senderphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg";
    
                        if(data[i]['profileImage'] != '' && data[i]['profileImage'] != 'null'){
                            senderphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/public/uploads/adminImage/"+data[i]['profileImage'];
                        }
                        
                        /*if(data[i]['fullName'] != ''){
                            senderName = data[i]['fullName'];
                        }*/
                    }
                },
                error: function(data) {                
                    alert("something wrong!");                
                }
            });
        }
            
        if(rId > 0){
            //var rData = getchastUserDetail(rId,'receiver');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('input[name="_token"]').val()
                }
            });
            
            var url = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/ajaxgetchatuserdetail/'+rId;
            
            $.ajax({            
                type: "get",                   
                url:url,                               
                data:'',
                processData: false,
                contentType: false,            
                success: function(data) {
                    console.log(data);
                    for (var i=0; i<data.length; i++){
                        receiverphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg";
    
                        if(data[i]['profileImage'] != '' && data[i]['profileImage'] != 'null'){
                            receiverphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/customerImage/"+data[i]['profileImage'];
                        }
                        
                       /* if(data[i]['fullName'] != ''){
                            receiverName = data[i]['fullName'];
                        }*/
                    }
                },
                error: function(data) {                
                    alert("something wrong!");                
                }
            });
        }
        
        var unreadMessage = 0;
        firebase.database().ref("messages/"+ sId + '-' + rId).on("child_added", function (snapshot) 
        {
            var html = "";
            
            var msgStatusIcon = `<i class="fa fa-check" aria-hidden="true"></i>`;
            var msgStatus = `<div class="text-right" style="color: black; float: right; width: 60%; padding: 0; margin: 0; font-size: 12px;">
            `+msgStatusIcon+`
            </div>`;
            
            var sImage = '';
            if(snapshot.val().senderId == sId){
                var rightClass = 'media media-chat media-chat-reverse';
            }
            else 
            {
                if(snapshot.val().usersList[0].status==0)
                {
                    console.log(sId + '-' + rId);
                    var updates = {};
                    var updateMessage = {
                        status: '1'
                    };

                    updates["messages/00" + '-' + rId+"/"+snapshot.key+"/usersList/0"]=updateMessage;
                    firebase.database().ref().update(updates);
                }
            }
            
           /* var sImage = '';
            if(snapshot.val().senderId == sId){
                var rightClass = 'media media-chat media-chat-reverse';
            }*/
            
            html += "<div class='media media-chat"+rightClass+"'>";
            
            if(snapshot.val().senderId == sId){
                html += "<img src='"+senderphoto+"' width='50px' hight='50px style='border-radius: 50%; height:50px; width: 50px;'>";
                html += "<div class='media-body'>";
                html += "<p style='word-break: break-word;''>"+snapshot.val().messageText+"</p></div></div>";
            }
            else{
                html += "<img src='"+receiverphoto+"' width='50px' hight='50px' style='border-radius: 50%; height:50px; width: 50px;'>";
                html += "<div class='media-body'>";
                html += "<p style='word-break: break-word;''>"+snapshot.val().messageText+"</p></div></div>";
            }
            //html += snapshot.val().messageText;
            
            //html += "";
           

            document.getElementById("allmessages").innerHTML += html;
        });

        function sendMessage(senderId,receiverId)
        {
            var message = $('#msg').val();
            var type = 'New Notification';
            if(message != '')
            {
                const d = new Date();
                let chattime = d.getTime();
                
                var postMessageData = {
                  mediaName : '',
                  mediaType : 'text',
                  messageText: message,
                  messageTime: chattime,
                  senderId: senderId,
                  usersList: [{
                    status: '0'
                  }]
                };
            
                var postUserData = {
                  count : '0',
                  mediaName : '',
                  mediaType : 'text',
                  messageText: message,
                  messageTime: chattime,
                  senderId: senderId,
                  userImage1: '',
                  userImage2: '',
                  userName1: '',
                  userName2: '',
                };
          
                //var updates = {};
                //updates['/messages/' + senderId + '-' + receiverId] = postData;
                var approved = 1;
              
                //var approved = checkForBlock();
                
                if(approved == 1)
                {
                    const db = firebase.database();
                    const msgRef = db.ref("/messages/"+ senderId + '-' + receiverId); 
                   /* msgRef.push(postData);*/
                    if(parseInt(senderId) < parseInt(receiverId))
                    {
                        const msgRef = db.ref("messages/"+ senderId + '-' + receiverId); 
                        msgRef.push(postMessageData);
                  
                        const usrRef = db.ref("users/"+ senderId + '-' + receiverId); 
                        usrRef.set(postUserData);
                    }
                    else if(parseInt(senderId) > parseInt(receiverId))
                    {
                        const msgRef = db.ref("messages/"+ receiverId + '-' + senderId); 
                        msgRef.push(postMessageData);
                  
                        const usrRef = db.ref("users/"+ receiverId + '-' + senderId); 
                        usrRef.set(postUserData);
                    }
            
                    //firebase.database().ref().update(updates);
                
                    $('#msg').val('');
                
                    const updateMsgs = data =>{
                        const {messageText, senderId} = data.val(); //get name and text
                        //alert(senderId);
                    }
                    
                    msgRef.on('child_added', updateMsgs);
                    $.ajax({
                        type: "POST",
                        url: "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/sendNotification",
                        data : { 
                            'msg' : message,
                            'senderId' : senderId,
                            'receiverId' : receiverId,
                        },
                        success: function(data) 
                        {
                            if(data == 1)
                            {
                                // alert("Notification Send Successfully");
                                // location.reload();
                            }
                            else{
                                alert("Notification Not Send Successfully");
                            }
                        },
                    }); 
                }
            }
            else{
                alert('Please enter Message');
            }
        }
    </script>
    
    <script type="text/javascript">
        var input = document.getElementById("imsg");
        input.addEventListener("keyup", function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();
                document.getElementById("inquirybtnMessageSend").click();
            }
        });
            
        var sId = $('#senderId').val();
        var iId = $('#inquiryId').val();
        var rId = $('#receiverId').val();
        var senderphoto = 'https://img.icons8.com/color/36/000000/administrator-male.png';
        var receiverphoto = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg';
        var senderName = '';
        var receiverName = '';
        if(sId > 0){
            //var sData = getchastUserDetail(sId,'sender');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('input[name="_token"]').val()
                }
            });
                
            var url = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/ajaxgetchatuserinquirydetail/'+iId+'/'+sId;
            
            $.ajax({            
                type: "get",                   
                url:url,                               
                data:'',
                processData: false,
                contentType: false,            
                success: function(data) {
                    console.log(data);
                    for (var i=0; i<data.length; i++){
                        senderphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg";
    
                        if(data[i]['profileImage'] != '' && data[i]['profileImage'] != 'null'){
                            senderphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/public/uploads/adminImage/"+data[i]['profileImage'];
                        }
                        
                        /*if(data[i]['fullName'] != ''){
                            senderName = data[i]['fullName'];
                        }*/
                    }
                },
                error: function(data) {                
                    alert("something wrong!");                
                }
            });
        }
            
        if(rId > 0){
            //var rData = getchastUserDetail(rId,'receiver');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('input[name="_token"]').val()
                }
            });
            
            var url = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/ajaxgetchatuserinquirydetail/'+iId+'/'+rId;
            
            $.ajax({            
                type: "get",                   
                url:url,                               
                data:'',
                processData: false,
                contentType: false,            
                success: function(data) {
                    console.log(data);
                    for (var i=0; i<data.length; i++){
                        receiverphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg";
    
                        if(data[i]['profileImage'] != '' && data[i]['profileImage'] != 'null'){
                            receiverphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/customerImage/"+data[i]['profileImage'];
                        }
                        
                       /* if(data[i]['fullName'] != ''){
                            receiverName = data[i]['fullName'];
                        }*/
                    }
                },
                error: function(data) {                
                    alert("something wrong!");                
                }
            });
        }
        
        firebase.database().ref("inquirymessages/"+sId+'-'+iId+'-'+rId).on("child_added", function (snapshot) 
        {
            var html = "";
            
            var sImage = '';
            if(snapshot.val().senderId == sId){
                var rightClass = 'media media-chat media-chat-reverse';
            }
            
            html += "<div class='media media-chat"+rightClass+"'>";
            
            if(snapshot.val().senderId == sId){
                html += "<img src='"+senderphoto+"' width='50px' hight='50px style='border-radius: 50%; height:50px; width: 50px;'>";
                html += "<div class='media-body'>";
                html += "<p style='word-break: break-word;''>"+snapshot.val().messageText+"</p></div></div>";
            }
            else{
                html += "<img src='"+receiverphoto+"' width='50px' hight='50px' style='border-radius: 50%; height:50px; width: 50px;'>";
                html += "<div class='media-body'>";
                html += "<p style='word-break: break-word;''>"+snapshot.val().messageText+"</p></div></div>";
            }
            //html += snapshot.val().messageText;
            
            //html += "";
     
            document.getElementById("allinquirymessages").innerHTML += html;
        });

        function sendInquiryMessage(senderId,inquiryid,receiverId){
            var message = $('#imsg').val();
        
            if(message != ''){
            const d = new Date();
            let chattime = d.getTime();
            
            var postMessageData = {
              mediaName : '',
              mediaType : 'text',
              messageText: message,
              messageTime: chattime,
              senderId: senderId,
              inquiryid: inquiryid,
            };
        
            var postUserData = {
              count : '0',
              mediaName : '',
              mediaType : 'text',
              messageText: message,
              messageTime: chattime,
              senderId: senderId,
              inquiryid: inquiryid,
              userImage1: '',
              userImage2: '',
              userName1: '',
              userName2: '',
            };
      
        //var updates = {};
        //updates['/messages/' + senderId + '-' + receiverId] = postData;
          var approved = 1;
          
          //var approved = checkForBlock();
            
            if(approved == 1){
                const db = firebase.database();
                const msgRef = db.ref("/inquirymessages/"+ senderId + '-' + inquiryid + '-' + receiverId); 
               /* msgRef.push(postData);*/
                if(parseInt(senderId) < parseInt(receiverId)){
                    const msgRef = db.ref("inquirymessages/"+ senderId + '-' + inquiryid + '-' + receiverId); 
                    msgRef.push(postMessageData);
              
              const usrRef = db.ref("inquiries/"+ senderId + '-' + inquiryid + '-' + receiverId); 
                    usrRef.set(postUserData);
                }
                else if(parseInt(senderId) > parseInt(receiverId)){
                    const msgRef = db.ref("inquirymessages/"+ receiverId + '-' + inquiryid + '-' + senderId); 
                    msgRef.push(postMessageData);
              
              const usrRef = db.ref("inquiries/"+ receiverId + '-' + inquiryid + '-' + senderId); 
                    usrRef.set(postUserData);
                }
        
            //firebase.database().ref().update(updates);
            
            $('#imsg').val('');
            
            const updateMsgs = data =>{
                    const {messageText, senderId} = data.val(); //get name and text
                    //alert(senderId);
            }
            msgRef.on('child_added', updateMsgs);
            
            
            }
        }
        else{
            alert('Please enter Message');
        }
    }


    </script>

   
    <script type="text/javascript">
        var input = document.getElementById("cmsg");
        input.addEventListener("keyup", function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();
                document.getElementById("complainbtnMessageSend").click();
            }
        });
            
        var sId = $('#senderId').val();
        var cId = $('#complainId').val();
        var rId = $('#receiverId').val();
        var senderphoto = 'https://img.icons8.com/color/36/000000/administrator-male.png';
        var receiverphoto = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg';
        var senderName = '';
        var receiverName = '';
        if(sId > 0){
            //var sData = getchastUserDetail(sId,'sender');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('input[name="_token"]').val()
                }
            });
                
            var url = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/ajaxgetchatusercomplaindetail/'+sId+'/'+cId;
            
            $.ajax({            
                type: "get",                   
                url:url,                               
                data:'',
                processData: false,
                contentType: false,            
                success: function(data) {
                    console.log(data);
                    for (var i=0; i<data.length; i++){
                        senderphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg";
    
                        if(data[i]['profileImage'] != '' && data[i]['profileImage'] != 'null'){
                            senderphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/public/uploads/adminImage/"+data[i]['profileImage'];
                        }
                        
                        /*if(data[i]['fullName'] != ''){
                            senderName = data[i]['fullName'];
                        }*/
                    }
                },
                error: function(data) {                
                    alert("something wrong!");                
                }
            });
        }
            
        if(rId > 0){
            //var rData = getchastUserDetail(rId,'receiver');
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('input[name="_token"]').val()
                }
            });
            
            var url = 'https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/adminpanel/ajaxgetchatusercomplaindetail/'+rId+'/'+cId;
            
            $.ajax({            
                type: "get",                   
                url:url,                               
                data:'',
                processData: false,
                contentType: false,            
                success: function(data) {
                    console.log(data);
                    for (var i=0; i<data.length; i++){
                        receiverphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/default-user.jpg";
    
                        if(data[i]['profileImage'] != '' && data[i]['profileImage'] != 'null'){
                            receiverphoto = "https://keshavinfotechdemo2.com/keshav/KG1/Manjunath/public/uploads/customerImage/"+data[i]['profileImage'];
                        }
                        
                       /* if(data[i]['fullName'] != ''){
                            receiverName = data[i]['fullName'];
                        }*/
                    }
                },
                error: function(data) {                
                    alert("something wrong!");                
                }
            });
        }
        
        firebase.database().ref("complainmessages/"+ sId + '-' + cId + '-' + rId).on("child_added", function (snapshot) 
        {
            var html = "";
            
            var sImage = '';
            console.log(snapshot.val().senderId);
            if(snapshot.val().senderId == sId){
                var rightClass = 'media media-chat media-chat-reverse';
            }
            
            html += "<div class='media media-chat"+rightClass+"'>";
            
            if(snapshot.val().senderId == sId){
                html += "<img src='"+senderphoto+"' width='50px' hight='50px style='border-radius: 50%; height:50px; width: 50px;'>";
                html += "<div class='media-body'>";
                html += "<p style='word-break: break-word;''>"+snapshot.val().messageText+"</p></div></div>";
            }
            else{
                html += "<img src='"+receiverphoto+"' width='50px' hight='50px' style='border-radius: 50%; height:50px; width: 50px;'>";
                html += "<div class='media-body'>";
                html += "<p style='word-break: break-word;''>"+snapshot.val().messageText+"</p></div></div>";
            }
            //html += snapshot.val().messageText;
            
            //html += "";
     
            document.getElementById("allcomplainmessages").innerHTML += html;
        });

        function sendComplainMessage(senderId,comid,receiverId){
            var message = $('#cmsg').val();
        
            if(message != ''){
            const d = new Date();
            let chattime = d.getTime();
            
            var postMessageData = {
              mediaName : '',
              mediaType : 'text',
              messageText: message,
              messageTime: chattime,
              senderId: senderId,
              comid: comid,
            };
        
            var postUserData = {
              count : '0',
              mediaName : '',
              mediaType : 'text',
              messageText: message,
              messageTime: chattime,
              senderId: senderId,
              comid: comid,
              userImage1: '',
              userImage2: '',
              userName1: '',
              userName2: '',
            };
      
        //var updates = {};
        //updates['/messages/' + senderId + '-' + receiverId] = postData;
          var approved = 1;
          
          //var approved = checkForBlock();
            
            if(approved == 1){
                const db = firebase.database();
                const msgRef = db.ref("/complainmessages/"+ senderId + '-' + comid + '-' + receiverId); 
               /* msgRef.push(postData);*/
                if(parseInt(senderId) < parseInt(receiverId)){
                    const msgRef = db.ref("complainmessages/"+ senderId + '-' + comid + '-' + receiverId); 
                    msgRef.push(postMessageData);
              
              const usrRef = db.ref("complains/"+ senderId + '-' + comid + '-' + receiverId); 
                    usrRef.set(postUserData);
                }
                else if(parseInt(senderId) > parseInt(receiverId)){
                    const msgRef = db.ref("complainmessages/"+ receiverId + '-' + comid + '-' + senderId); 
                    msgRef.push(postMessageData);
              
              const usrRef = db.ref("complains/"+ receiverId + '-' + comid + '-' + senderId); 
                    usrRef.set(postUserData);
                }
        
            //firebase.database().ref().update(updates);
            
            $('#cmsg').val('');
            
            const updateMsgs = data =>{
                    const {messageText, senderId} = data.val(); //get name and text
                    //alert(senderId);
            }
            msgRef.on('child_added', updateMsgs);
            
            
            }
        }
        else{
            alert('Please enter Message');
        }
    }

    
    </script>
    <!-- <script>
    firebase.database()
            .ref('chats')
            .orderByChild('messageTime')
            .on('value', function(snapshot) {
                let sortable = [];
                let maxSpeed = snapshot.val();
                for (var vehicle in maxSpeed) {
                    sortable.push([vehicle, maxSpeed[vehicle]]);
                }
                sortable.sort(function(a, b) {
                    return a[1]['messageTime'] - b[1]['messageTime'];
                });

                var test = [];
                var html = '';
                sortable.reverse()
                for (let index = 0; index < sortable.length; index++) {
                
                    const element = sortable[index][0];
                    var username = users['id_'+element.split("-")[1]];
                    html+=`<div>
                            
                            <div  id="user`+0.split("-")[1] +`">
                                
                            </div>
                            </div>
                        </div>`
                }
                $('#chat_users').html(html)
                msgReadCounter();
        });
</script> -->
    <script>
        
        var sssId = $('#receiverId').val();
       //alert(sId);
        function msgReadCounter(){
            
          
            firebase.database()
                .ref('messages')
                .once('value', snapshot => {

                    if(snapshot.exists()){

                        snapshot.forEach(function(childSnapshot) {

                            var msgUnreadCounter = 0;

                            for (var key in childSnapshot.val()) {
 
                                if (childSnapshot.val()[key].usersList && childSnapshot.val()[key].senderId!="00"&&childSnapshot.val()[key].usersList[0].status==0) {
                                     
                                    msgUnreadCounter++;
                                    console.log(msgUnreadCounter); 
                                }
                                 //console.log(msgUnreadCounter);
                            }
                            if(msgUnreadCounter>0&&sssId!=childSnapshot.key.split('-')[1])
                            $("#chat_users"+childSnapshot.key.split('-')[1]).append("<span class='bg-danger text-white text-center' style='padding: 0px 5px;border-radius: 50%'>"+msgUnreadCounter+"</span>");
                        });
                    }
                   
                    return 1;
                });
                 
        }
        msgReadCounter();

    </script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
</body>

</html><?php /**PATH /home/keshavvps/public_html/keshav/KG1/Puzz/resources/views/adminpanel/default/master.blade.php ENDPATH**/ ?>