<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Category;

class Level extends Model
{
    use HasFactory;
    protected $fillable = [
        'levelCategoryId',
        'levelSubCategoryId',
        'puzzle_category',
        'level_name',
        'grid',
        'words',
        'clues',
        'isActive',
        'data',
    ];
    public function category()
    {
        return $this->belongsTo(Category::class, 'puzzle_category', 'id');
    }

}
