<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;



/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post('/forgotPassword','UserController@forgotPassword')->name('forgotPassword');
Route::post('/changepassword','UserController@changepassword')->name('changepassword');
// Route::post('/editProfile','UserController@editProfile')->name('editProfile');
Route::get('/getUserProfile','UserController@getUserProfile')->name('getUserProfile');



Route::post('/register','UserController@Register')->name('Register');
Route::post('/login','UserController@login')->name('login');
// Route::post('/editProfile','UserController@editProfile')->name('editProfile');
route::post('/socialMediaRegisterLogin', 'UserController@socialMediaRegisterLogin')->name('socialMediaRegisterLogin');



//Static Pages
Route::get('/getStaticData','StaticController@getStaticData')->name('getStaticData');
Route::get('/getLevels','UserController@getLevels')->name('getLevels');


Route::post('/add-category', 'UserController@addCategory')->name('addCategory');

Route::get('/getCategoryLevels','LevelController@getCategoryLevels')->name('getCategoryLevels');
Route::get('/getCategory','LevelController@getCategory')->name('getCategory');
Route::get('/getLevel','LevelController@getLevel')->name('getLevel');
Route::get('/getLevelDetail','LevelController@getLevelDetail')->name('getLevelDetail');