<?php if($data['type'] == "add"): ?>
<?php $__env->startSection('title', 'Add Category'); ?>
<?php else: ?>
<?php $__env->startSection('title', 'Edit Category'); ?>
<?php endif; ?>
<?php $__env->startSection('content'); ?>
<?php
    $label = "Add";
    $categoryName = "";
    $display_name = "";
    $lock_type = "";
    $category_color = "";
    $unlock_amount = "";
    $id = "";
    $isError = false;
    $categoryImage  = asset('adminpanel/images/default-user.jpg');
    $formRoute = 'adminpanel.category.save';
    if(isset($data['error'])) {
        $isError = true;
        if($data['type']=="Edit") {
            $label = "Edit";
            $formRoute = 'adminpanel.category.update';
        }
        $categoryName = $data['input']['categoryName'];
        $display_name = $data['input']['display_name'];
        $lock_type= $data['input']['lock_type'];
        $category_color = $data['input']['category_color'];
        $unlock_amount = $data['input']['unlock_amount'];
    } else {
        if($data['type'] == "edit") {
            $label = "Edit";
            $categoryName = $data['input'][0]->categoryName;
            $categoryImage  = $data['input'][0]->categoryImage;
            $display_name = $data['input'][0]->display_name;
            $lock_type = $data['input'][0]->lock_type;
            $category_color = $data['input'][0]->category_color;
            $unlock_amount = $data['input'][0]->unlock_amount;
            $id = $data['input'][0]->id;
            if($categoryImage!="" && $categoryImage!=null)
            {
                if(file_exists(public_path()."/uploads/categoryImage/".$categoryImage))
                {
                    $categoryImage = asset('/uploads/categoryImage/'.$categoryImage);
                }
            }
            $formRoute = 'adminpanel.category.update';
        }
    }
?>

<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong><?php echo e($label); ?> Category </strong></h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

        <?php echo e(Form::hidden(
        'id', $id
        )); ?>

        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <!-- Tab Content -->
                    <div class="tab-content">
                        <!-- English Tab -->
                        <div class="tab-pane fade show active" id="english" role="tabpanel" aria-labelledby="english-tab">
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Category Image</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                        <img src="<?php echo e($categoryImage); ?>" id="logoimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                        <div class="button-wrapper">
                                            <span class="label">
                                                <img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>">
                                            </span>
                                            <?php echo e(Form::file(
                                                'categoryImage',
                                                [
                                                    'class' => 'upload-box',
                                                    'id' => 'categoryImage',
                                                    'placeholder' => 'Select category Image',
                                                    'onchange' => 'displaySingleImagePreview(this, "logoimg")'
                                                ]
                                            )); ?>

                                        </div>
                                    </div>
                                    <?php $__errorArgs = ['categoryImage'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;"><?php echo e($errors->first('categoryImage')); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Category Name</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <?php echo e(Form::text(
                                        'categoryName', $categoryName,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Category Name',
                                        ]
                                    )); ?>

                                    <?php $__errorArgs = ['categoryName'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;"><?php echo e($errors->first('categoryName')); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Display Name</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <?php echo e(Form::text(
                                        'display_name', $display_name,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Display Name',
                                        ]
                                    )); ?>

                                    <?php $__errorArgs = ['display_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;"><?php echo e($errors->first('display_name')); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Lock Type</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select class="form-control" name="lock_type" id="lock_type" onchange="toggleFields()">
                                        <option value="">Select Lock Type</option>
                                        <option value="0" <?php echo e($lock_type == "0" ? 'selected' : ''); ?>>None</option>
                                        <option value="1" <?php echo e($lock_type == "1" ? 'selected' : ''); ?>>Coins</option>
                                        <option value="2" <?php echo e($lock_type == "2" ? 'selected' : ''); ?>>Keys</option>
                                        <option value="3" <?php echo e($lock_type == "3" ? 'selected' : ''); ?>>IAP</option>
                                    </select>
                                    <?php $__errorArgs = ['lock_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;"><?php echo e($errors->first('lock_type')); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <!-- Unlock Amount Field -->
                            <div class="user-pro-detail-content-dt-one" id="unlock_amount_div" style="display: none;">
                                <div class="user-pro-detail-content-left">
                                    <label id="unlock_label">Unlock Amount</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <?php echo e(Form::text(
                                        'unlock_amount', $unlock_amount,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Unlock Amount',
                                        ]
                                    )); ?>

                                    <?php $__errorArgs = ['unlock_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">
                                            <?php echo e($errors->first('unlock_amount')); ?>

                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Category Color</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <?php echo e(Form::color(
                                        'category_color', $category_color,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Category Name',
                                        ]
                                    )); ?>

                                    <?php $__errorArgs = ['category_color'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;"><?php echo e($errors->first('category_color')); ?></span> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="next-step-btn-main">
                    <?php echo e(Form::button(
                    'Save',
                    [
                    'class' => 'next-step',
                    'type' => 'submit'
                    ]
                    )); ?>

                </div>
            </div>
        </div>
        <?php echo e(Form::close()); ?>

    </div>
</div>
<?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</div>
</div>
<!-- END** :: DASHBOARD -->
</div>
<div class="index-top-text-main">
    <div class="container">
        <div class="row">
            <div class="index-top-text-sub">
                <h1></h1>
                <p></p>
            </div>
        </div>
    </div>
</div>

<script>
    function toggleFields() {
        var lockType = document.getElementById("lock_type").value;
        var unlockDiv = document.getElementById("unlock_amount_div");
        var unlockLabel = document.getElementById("unlock_label");

        if (lockType === "1") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "Unlock Coins Amount";
        } else if (lockType === "2") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "Unlock Keys Amount";
        } else if (lockType === "3") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "IAP Product Id";
        } else {
            unlockDiv.style.display = "none";
        }
    }

    // Ensure the correct field is shown on page load if editing
    document.addEventListener("DOMContentLoaded", function () {
        toggleFields();
    });
</script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG1/Puzz/resources/views/adminpanel/addcategory.blade.php ENDPATH**/ ?>